unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, sysUtils, shellapi, dialogs, constgts;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    ProgramIcon: TImage;
    Label1: TLabel;
    VersionOrphylabel: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
  public
  end;

var
  AboutBox: TAboutBox;

implementation

uses gtsdef, gti2comp, GTSMAIN;

{$R *.DFM}

procedure TAboutBox.FormActivate(Sender: TObject);
begin
    VersionOrphyLabel.caption := gti2.version
end;

procedure TAboutBox.BitBtn1Click(Sender: TObject);
const FileName = 'http://pagesperso-orange.fr/jean-michel.millet/miseajourGTI2.html';
begin
  if ShellExecute(Handle, 'open', PChar(FileName), nil, nil, SW_SHOW) <= 32 then
     ShowMessage('Impossible d''accder  '+Filename)
end;

end.

