unit CONSTGTS;

interface

uses
    SysUtils, Windows, Controls, Forms, Dialogs;

resourcestring
        erOK='';
        trDuree = 'Dure';
        trWaitSynchro = 'Attente de synchronisation';
        trAcqEnCours = 'Enregistrement en cours';
        trAttenteResul = 'Attente des valeurs envoyes par Orphy';
        trAcqFinie = 'Acquisition termine';
        trClavier = 'Clavier';
        trTemporel = 'Temporel';
        trSeuil = 'Seuil';
        trRelaxe = 'Relax';
        trErreur = 'Erreur';
        trAcqGTI2 = 'Acquisition par Orphy GTI II pour Regressi';
        trFiltreGTS = 'Configuration Orphy|*.gt16';
        trDeclenche = 'Dclenche';
        trAbscisse = 'Abscisse';
        trVerifGTS = 'Vrification prsence d''Orphy GTI II';
        trTemps = 'Temps';
        TrErreurCom = 'Erreur gestion voie srie';
        TrNotOrphy = 'Orphy GTI II non dtecte';
        TrYesOrphyGTI2 = 'Orphy GTI II prsente';
        trDelAcq = 'Suppression de l''acquisition courante';
        trDelCapteur = 'Suppression de %s';
        trSaveModif = 'Sauvegarde des modifications';
        trdelEtalon = 'Suppression de l''talonnage';
        trMonocoup = 'Monocoup';
        trOffset = 'Dcalage';
        trValeur = 'Valeur';
        trConfig = 'Configuration';
        trBarreEspace = 'Barre d''espace';
        trAcqPar = 'Acquisition par';
        TrFormatTableur = 'Format tableur avec tabulation';
        trSignif = 'Signification';
        trDeconnect = 'Acquisition dconnecte avec paramtres courants';
        trAvailResul = 'Attente des valeurs envoys par Orphy';
        trMajRom = 'Mise  jour de la ROM';
        trAffichage = 'Affichage (';
        trHintClicParam = '|cliquer pour modifier le paramtrage de la voie';
        trNoSynchro = 'Signal non trouv';
        trActiver = '&Activer';

        erMonocoup = 'Monocoup obligatoire';
        erAmpli = 'Ncessite un ampli physique branch sur prise F';
        erOldVersion = 'Faire une mise  jour de la ROM de ';
        erValeur = 'Valeur';
        erEtalon = 'Points d''talonnage non dfinis';
        erEtalon2 = 'Etalonnage imprcis';
        eretalon3 = 'Valeurs trop proches';
        erNombre = 'Nombre mal crit';
        erCarac = 'Caractre non prvu : ';
        erSansSignif = 'Erreur d''acquisition sur une voie';
        erVersionGTS = 'Version Orphy';
        okActiveAbscisse = 'Activer la voie : %s';
        erStopMajRom = 'Arrter et redmarrer Orphy (matriel et logiciel)';
        erPbMajRom = 'La mise  jour a rencontr un problme';
        erTesla = 'Le teslamtre doit tre branch sur une prise G ou H';
        erProgramme = 'Erreur programme';
        stNoAcces = 'Impossible d''accder  ';

        hClavier = 'Taper la valeur en haut  droite puis valider pour enregistrer le point courant';
        hPoint = 'Cliquer "Acquisition" ou frapper la barre d''espace pour enregistrer le point courant';
        hSynchroClavier = '|Cliquer "Acquisition" ou frapper la barre d''espace pour dmarrer l''enregistrement';
        hStart = '|Lance l''acquisition';
        hSynchro = '|Cliquer-glisser pour changer le seuil de synchronisation';
        hBoutonPlus	= 'Menu supplmentaire';
        hClickSynchro	= 'Clic -> Synchro|cliquer dessus pour modifier la synchronisation';
        SaveData = 'Enregistrer donnes';
        CopyData = 'Copier donnes';
        hReset = 'Remise  zro';
        hEnregistreRegressi	= 'Enregistre (Regressi)|Envoi des donnes courantes vers Regressi';
        hOpenConfig	= 'Ouvre config.|Lecture d''un fichier de configuration';
        hSaveConfig	= 'Sauve config.|Sauve configuration courante';

//  traduire

        trMajROMEncours = 'Mise  jour de la ROM en cours';
        FinMajROM = 'Mise  jour de la ROM effectue';
        AttenteMajROM = 'Attente de la rponse pendant 10 s';

        hPreAcq = '';

Function OKReg(NumOK : shortString) : boolean;
Function OKformat(const strOk : shortString;args : array of const) : boolean;
Procedure Info(NumInfo : shortString);
procedure afficheErreur(NumErreur : shortString);

implementation

uses GtsMain;

Function OKReg(NumOK : shortString) : boolean;
begin
     OKreg := MessageDlg(NumOK,mtConfirmation,[mbYes,mbNo],0)=idYes
end;

Function OKformat(const strOk : shortString;args : array of const) : boolean;
begin
     result := MessageDlg(format(strOK,args),mtConfirmation,[mbYes,mbNo],0)=idYes
end;

Procedure Info(NumInfo : shortString);
begin
     MessageDlg(NumInfo,mtInformation,[mbOK],0)
end;

procedure afficheErreur(NumErreur : shortString);
var SauveCursor : Tcursor;
begin
     SauveCursor := Screen.cursor;
     Screen.cursor := crDefault;
     MessageDlg(NumErreur,mtError,[mbOK],0);
     Screen.cursor := SauveCursor;
end;

end.


