unit Capcfg;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, Tabs,
  Buttons, ExtCtrls, TabNotBk, sysutils,
  gtsdef, gtsutil, ComCtrls, Spin, constGTS;

type
  TCapteurCfgDlg = class(TForm)
    ButtonPanel: TPanel;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Notebook: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    GrandeurGB: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    EditNom: TEdit;
    EditUnite: TEdit;
    EditSignif: TEdit;
    AffichageGB: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    EditMini: TEdit;
    EditMaxi: TEdit;
    GroupBox1: TGroupBox;
    val0Edit: TEdit;
    PenteEdit: TEdit;
    Val0Label: TLabel;
    PenteLabel: TLabel;
    Label6: TLabel;
    EditAide: TEdit;
    procedure FormActivate(Sender: TObject);
    procedure EditNomChange(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
  private
  public
    CapteurCourant : TCapteur;
  end;

var
  CapteurCfgDlg: TCapteurCfgDlg;

implementation

{$R *.DFM}

procedure TCapteurCfgDlg.FormActivate(Sender: TObject);
begin with capteurCourant do begin
     EditSignif.text := signifC;
     EditAide.text := aideC;
     EditNom.text := nomC;
     EditUnite.text := nomUniteC;
     val0Edit.text := FormatGts(offsetC);
     penteEdit.text := FormatGts(unVoltC);
     penteLabel.caption := DeltaMaj+nomC+'/'+DeltaMaj+'V'+
         ' ('+nomUniteC+'/V)';
     EditMini.text := FormatGTS(miniAff);
     EditMaxi.text := FormatGTS(maxiAff);
end end;

procedure TCapteurCfgDlg.EditNomChange(Sender: TObject);
begin
     PenteLabel.caption := DeltaMaj+EditNom.text+'/'+DeltaMaj+'V'+
        ' ('+EditUnite.text+'/V)';
     AffichageGB.caption := trAffichage+EditUnite.text+')';
end;

procedure TCapteurCfgDlg.OKBtnClick(Sender: TObject);
begin with capteurCourant do begin
     signifc := EditSignif.text;
     aidec := EditAide.text;
     nomC := EditNom.text;
     nomUniteC := EditUnite.text;
     OffsetC := GetFloat(val0Edit.text);
     UnVoltC := GetFloat(penteEdit.text);
     try
     miniAff := GetFloat(EditMini.text);
     except
     end;
     try
     maxiAff := GetFloat(EditMaxi.text);
     except
     end;
end end;

procedure TCapteurCfgDlg.HelpBtnClick(Sender: TObject);
begin
     Application.HelpContext(10)
end;

end.

