unit Listecap;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, gti2_osc_const, gti2_osc_graphe,gti2_osc_util;

type
  TListeCapteursDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    ListeCapteursBox: TListBox;
    BitBtn1: TBitBtn;
    procedure FormActivate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure VoltmetreClick(Sender: TObject);
  private
  public
     VoieCourante : TcourbeGTS2;
  end;

var
  ListeCapteursDlg: TListeCapteursDlg;

implementation

{$R *.DFM}

procedure TListeCapteursDlg.FormActivate(Sender: TObject);
var i : byte;
begin with ListeCapteursBox.Items do begin
     Clear;
     for i := 0 to pred(listeCapteur.count) do
        Add(ListeCapteur.items[i].nomC+' '+
            ListeCapteur.items[i].signifC);
     ListeCapteursBox.itemIndex := 0;
end end;

procedure TListeCapteursDlg.OKBtnClick(Sender: TObject);
var capteurCourant : TCapteur;
begin
    CapteurCourant := listeCapteur.items[ListeCapteursBox.itemIndex];
    voieCourante.affecteCapteur(CapteurCourant);
end;

procedure TListeCapteursDlg.VoltmetreClick(Sender: TObject);
begin with voieCourante do begin
     avecCapteur := false;
     nomUnite := 'V';
     signif := 'tension';
     Mini := -10;
     Maxi := +10;
     avecCapteur := false;
     Offset := 0;
     UnVolt := 1;
     setMinMax;
end end;

end.
