unit gti2_osc_Reg;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, SysUtils, dialogs, registry,
  gti2_osc_Main, gti2_osc_Const, gti2_osc_util, maths_osc;

type
  TConstanteDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    GroupBox1: TGroupBox;
    EditComm: TEdit;
    NewPageCB: TRadioGroup;
    GroupBox2: TGroupBox;
    UniteL1: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    NomConstEdit: TEdit;
    UniteConstEdit: TEdit;
    ValeurConstEdit: TEdit;
    procedure OKBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
  public
  end;

var
  ConstanteDlg: TConstanteDlg;

implementation

{$R *.DFM}

procedure TConstanteDlg.OKBtnClick(Sender: TObject);
var strValeur : strUnite;
    valeurConstante : double;
begin
        StrValeur := valeurConstEdit.text;
        if StrValeur<>'' then begin
           ValeurConstante := StrToFloatWin(strValeur);
           if valeurConstante=sansSignif then begin
               afficheErreur(erNombre);
               self.modalResult := mrNone;
           end;
        end;
end;

procedure TConstanteDlg.FormCreate(Sender: TObject);
var Fichier : TRegIniFile;
begin
  try
  Fichier := TRegIniFile.create(RegistreGTI2);
  With Fichier do begin
      nomConstEdit.text := readString('Constante','Nom','');
      uniteConstEdit.text := readString('Constante','Unite','');
      editComm.text := readString('Constante','Commm','');
  end;
  fichier.free;
  except
  end;
end;{litConfig}

procedure TConstanteDlg.FormDestroy(Sender: TObject);
var Fichier : TReginiFile;
begin
   try
   Fichier := TReginiFile.create(RegistreGTI2);
   with fichier do begin
       WriteString('Constante','Nom',nomConstEdit.text);
       WriteString('Constante','Comm',editComm.text);
       WriteString('Constante','Unit',UniteConstEdit.text);
   end;
   Fichier.free;
   except
   end;
end; { SauveConfig }

end.
