unit gti2_osc_About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, SysUtils, shellApi, Dialogs;

type
  TGTI2AboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Comments: TLabel;
    ProgramIcon: TImage;
    BitBtn1: TBitBtn;
    Label2: TLabel;
    LabelVersion: TLabel;
    LabelRom: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  GTI2AboutBox: TGTI2AboutBox;

implementation

uses
  gti2_osc;

{$R *.DFM}

procedure TGTI2AboutBox.BitBtn1Click(Sender: TObject);
const FileName = 'http://pagesperso-orange.fr/jean-michel.millet/miseajourGTI2.html';
begin
  if ShellExecute(Handle, 'open', PChar(FileName), nil, nil, SW_SHOW) <= 32 then
     ShowMessage('Impossible d''accder  '+Filename)
end;

procedure TGTI2AboutBox.FormActivate(Sender: TObject);
begin
  labelRom.caption := 'ROM : '+gti2.version
end;

end.

