program gti2_oscillo;

uses
  Forms,
  Oneinst in 'Oneinst.pas',
  GTI2_osc_Main in 'GTI2_osc_Main.pas' {GTI2MainForm},
  gti2_osc_About in 'gti2_osc_About.pas' {GTI2AboutBox},
  gti2_osc_DDE in 'gti2_osc_DDE.pas' {DDEForm},
  gti2_osc_Graphe in 'gti2_osc_Graphe.pas',
  gti2_osc_Const in 'gti2_osc_Const.pas',
  gti2_osc_Reg in 'gti2_osc_Reg.pas' {ConstanteDlg},
  MATHS_osc in 'MATHS_osc.PAS',
  UNITEKER in '..\Commun\UNITEKER.PAS',
  GTI2_osc_util in 'GTI2_osc_util.pas',
  yd_EAD_OSC in 'yd_EAD_OSC.PAS' {OrphyGts2Dlg},
  GBF_osc in 'GBF_osc.pas',
  EtalonSeuil in 'EtalonSeuil.pas' {EtalonSeuilDlg},
  gti2_point_Graphe in 'gti2_point_Graphe.pas',
  yd_CFG_point in 'yd_CFG_point.PAS' {ConfigVoiePointDlg},
  options in 'options.pas' {OptionsDlg},
  Fft in '..\Commun\Fft.pas',
  gbf_syntaxe in 'gbf_syntaxe.pas' {SyntaxeDlg},
  gti2_osc in 'gti2_osc.pas',
  ETALONAuto in 'ETALONAuto.PAS' {EtalonneAutoDlg},
  yd_CFG_OSC in 'yd_CFG_OSC.PAS' {OrphyGti2Dlg},
  gti2_dll in '..\Commun\gti2_dll.pas',
  Hirestmr in '..\Commun\Hirestmr.pas',
  gti2_EAD_SA in 'gti2_EAD_SA.pas' {EAD_SA_Form},
  CLAVIER in 'CLAVIER.PAS' {ClavierDlg};

{$R *.RES}

begin
  Application.Title := 'Orphy GTI 2';
  Application.HelpFile := '';
  Application.CreateForm(TGTI2MainForm, GTI2MainForm);
  Application.CreateForm(TConstanteDlg, ConstanteDlg);
  Application.CreateForm(TGTI2AboutBox, GTI2AboutBox);
  Application.CreateForm(TDDEForm, DDEForm);
  Application.CreateForm(TOptionsDlg, OptionsDlg);
  Application.CreateForm(TOrphyGti2Dlg, OrphyGti2Dlg);
  Application.CreateForm(TClavierDlg, ClavierDlg);
  Application.Run;
end.
