unit yd_EAD_OSC;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Spin, sysUtils, Dialogs,
  gti2_osc_util, gti2_osc_graphe, gti2_osc_main, maths, ComCtrls, ImgList,
  gti2_osc;

type
  TOrphyGts2Dlg = class(TForm)
    OKBtn: TBitBtn;
    GrandeurGB: TGroupBox;
    EditNom: TEdit;
    EditUnite: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    EditSignif: TEdit;
    Label3: TLabel;
    DesactiveBtn: TBitBtn;
    CouleurCombo: TColorBox;
    Label4: TLabel;
    WidthCourbeSE: TSpinEdit;
    procedure FormActivate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure EditNomKeyPress(Sender: TObject; var Key: Char);
  private
  public
    voieCourante : TcourbeOsc;
  end;

var
  OrphyGts2Dlg: TOrphyGts2Dlg;

implementation

{$R *.DFM}

procedure TOrphyGts2Dlg.FormActivate(Sender: TObject);
begin with voieCourante do begin
          EditNom.text := Nom;
          EditUnite.text := NomUnite;
          EditSignif.text := Signif;
          CouleurCombo.selected := couleur;
          caption := 'GTS2 Prise '+intTostr(ord('G')+numero);
          widthCourbeSE.value := GrapheOsc.penWidth;
end end;

procedure TOrphyGts2Dlg.OKBtnClick(Sender: TObject);
begin with voieCourante do begin
          Nom := EditNom.text;
          NomUnite := EditUnite.text;
          Signif := EditSignif.text;
          voieCourante.couleur := couleurCombo.selected;
          GrapheOsc.penWidth := widthCourbeSE.value;
end end;

procedure TOrphyGts2Dlg.EditNomKeyPress(Sender: TObject; var Key: Char);
begin
     if not (key in (majuscule+minuscule+grecque+toucheEdition+chiffre)) then key := #0
end;

end.

