unit GTSCONST;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Buttons,
  StdCtrls, ExtCtrls, SysUtils, dialogs, 
  constGts, gtsmain, gtsutil, maths, Grids, Controls;

type
  TConstanteDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    GroupBox1: TGroupBox;
    EditComm: TEdit;
    NewPageCB: TRadioGroup;
    GroupBox2: TGroupBox;
    NomConstE: TLabeledEdit;
    UniteConstE: TLabeledEdit;
    SignifConstE: TLabeledEdit;
    ValeurConstE: TLabeledEdit;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  ConstanteDlg: TConstanteDlg;

implementation

{$R *.DFM}

procedure TConstanteDlg.OKBtnClick(Sender: TObject);
var strValeur : strUnite;
    valeur : double;
begin with GtsMainForm do begin
        nomConstante := nomConstE.text;
        uniteConstante := uniteConstE.text;
        signifConstante := signifConstE.text;
        StrValeur := valeurConstE.text;
        TrimComplet(strValeur);
        if StrValeur<>'' then begin
           valeur := StrToFloatWin(strValeur);
           if valeur=sansSignif then begin
               afficheErreur(erNombre);
               self.modalResult := mrNone;
           end;
     end;
     commentaire := editComm.text;
end end;

procedure TConstanteDlg.FormActivate(Sender: TObject);
begin with GtsMainForm do begin
     editComm.text := commentaire;
     nomConstE.text := nomConstante;
     uniteConstE.text := uniteConstante;
     signifConstE.text := signifConstante;
end end;

end.
