unit ToutesVoiesU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, gtsUtil, gtsDef, graphe, Grids, StdCtrls, Buttons, ExtCtrls;

type
  TToutesVoiesDlg = class(TForm)
    Grid: TStringGrid;
    OKbtn: TBitBtn;
    AllBtn: TBitBtn;
    BitBtn3: TBitBtn;
    GroupBox2: TGroupBox;
    NomConstE: TLabeledEdit;
    UniteConstE: TLabeledEdit;
    SignifConstE: TLabeledEdit;
    GroupBox3: TGroupBox;
    nomTextE: TLabeledEdit;
    signifTextE: TLabeledEdit;
    procedure FormCreate(Sender: TObject);
    procedure GridMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure OKbtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure AllBtnClick(Sender: TObject);
  private
  public
  end;

var
  ToutesVoiesDlg: TToutesVoiesDlg;

implementation

uses gti2_dynamique,GTSMAIN;

{$R *.dfm}

procedure TToutesVoiesDlg.OKbtnClick(Sender: TObject);
var v : indiceVoieGTS2;
    ligne : integer;
begin
    with Grid do
    for v := voieGTS2Min to voieGTS2Max do with grapheGTS.voieOrphy[v] do begin
         ligne := v+1;
         nom := cells[2,ligne];
         active := cells[1,ligne]=stOuiNon(true);
         valeurParamTxt := cells[3,ligne];
         offset := StrToFloat(cells[4,ligne]);
         unVolt := StrToFloat(cells[5,ligne]);
   end;
   with gtsMainForm do begin
        nomConstante := nomConstE.text;
        uniteConstante := uniteConstE.text;
        signifConstante := signifConstE.text;
        nomConstTxt := nomTextE.text;
        signifConstTxt := signifTextE.text;
   end;
end;

procedure TToutesVoiesDlg.AllBtnClick(Sender: TObject);
var v : indiceVoieGTS2;
begin
    for v := voieGTS2Min to voieGTs2Max do
        grid.cells[1,v+1] := stOuiNon(true);
end;

procedure TToutesVoiesDlg.FormActivate(Sender: TObject);
var v : indiceVoieGts2;
    ligne : integer;
begin
with Grid do begin
     for v := voieGts2Min to voieGTS2Max do with grapheGTS.voieOrphy[v] do begin
         ligne := v+1;
         cells[0,ligne] := nomVoieOrphy;
         cells[1,ligne] := stOuiNon(active);
         cells[2,ligne] := nom;
         cells[3,ligne] := valeurParamTxt;
         cells[4,ligne] := FormatGts(offset);
         cells[5,ligne] := FormatGts(unVolt);
     end;
end;
with GtsMainForm do begin
     nomConstE.text := nomConstante;
     uniteConstE.text := uniteConstante;
     signifConstE.text := signifConstante;
     nomTextE.text := nomConstTxt;
     signifTextE.text := signifConstTxt;
end
end;

procedure TToutesVoiesDlg.FormCreate(Sender: TObject);
var
  l,I: integer;
begin with Grid do begin
     cells[0,0] := 'Voie';
     cells[1,0] := 'Active';
     cells[2,0] := 'Symbole';
     cells[3,0] := 'Commentaire';
     cells[4,0] := 'Valeur pour 0V';
     cells[5,0] := 'Variation <-> 1V';
     DefaultColWidth := 50;
     colWidths[3] := 150;
     colWidths[4] := 100;
     colWidths[5] := 100;
     l := 0;
     for I := 0 to colCount - 1 do
       l := l + colWidths[i];
end;
     width := l+20;
end;

procedure TToutesVoiesDlg.GridMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var ACol, ARow : Longint;
begin
     Grid.MouseToCell(X,Y,ACol,ARow);
     if (Acol=1) and (Arow>0) then
         Grid.cells[1,Arow] := stOuiNon(active);
end;

end.
