unit optPro;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, sysUtils, ComCtrls, Dialogs,
  constGTS, gtsdef,  gtsutil, maths, Spin;

type
  TOptionsDlg = class(TForm)
    Panel1: TPanel;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    DerniereConfigCB: TCheckBox;
    TraceGB: TGroupBox;
    Label3: TLabel;
    TraceLigneCB: TCheckBox;
    TracePointsCB: TCheckBox;
    DimPointSE: TSpinEdit;
    procedure OKBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  OptionsDlg: TOptionsDlg;

implementation

uses Gtsmain, GTSDDE;

{$R *.DFM}

procedure TOptionsDlg.OKBtnClick(Sender: TObject);
begin with GtsMainForm do begin
    SauverConfig := DerniereConfigCB.checked;
end end;

procedure TOptionsDlg.HelpBtnClick(Sender: TObject);
begin
     Application.HelpContext(806)
end;

procedure TOptionsDlg.FormActivate(Sender: TObject);
begin with gtsMainForm do begin
    DerniereConfigCB.checked := SauverConfig;
end end;


end.
