unit EtalonSeuil;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ComCtrls;

type
  TEtalonSeuilDlg = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    ProgressBar1: TProgressBar;
    RazBtn: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure RazBtnClick(Sender: TObject);
  private
    stop : boolean;
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  EtalonSeuilDlg: TEtalonSeuilDlg;

implementation

uses gbf_osc, gti2_osc;

{$R *.dfm}

procedure TEtalonSeuilDlg.BitBtn1Click(Sender: TObject);
var seuilReel : double;
    i : integer;
    k : boolean;
begin
// signal triangulaire 100 Hz +-9 V
     gbf.Frequence := 1000;
     gbf.signal := sTriangle;
     gbf.expression := '';
     gbf.amplitude := 9;
     gbf.offset := 0;
     gbf.Duty := 0.5;
     gbf.calculValeur;
     gbf.monocoup := false;
     gbf.Marche;
     gti2.StopAcquisition;
     gti2.voieSynchro := 1; // voie 0
     gti2.offsetSeuil[false] := 0;
     gti2.offsetSeuil[true] := 0;
     gti2.seuilVolt := 0;
     gti2.differentiel[0] := false; // BNC
     gti2.active[0] := true;
     gti2.calibre15V[0] := true;
     for i := 1 to 3 do gti2.active[i] := false;
     gti2.baseDeTemps := b50m; //  50 ms
     for k := false to true do begin
        gti2.montant := k;
        seuilReel := 0;
        i := 0;
        stop := false;
        repeat
           progressBar1.position := i;
           gti2.LanceAcquisition;
           sleep(100);
           repeat until not gti2.getResul;
           if i>0 then SeuilReel := seuilReel+gti2.GetValeurInit(0);
           gti2.StopAcquisition;
           inc(i);
           application.ProcessMessages;
        until (i=7) or stop;
        if stop then exit;
        seuilReel := -SeuilReel/6;
        if (abs(seuilReel)<0.5) then gti2.offsetSeuil[gti2.montant] := SeuilReel;
     end;
     close;
end;

procedure TEtalonSeuilDlg.BitBtn3Click(Sender: TObject);
begin
  stop := true;
end;

procedure TEtalonSeuilDlg.RazBtnClick(Sender: TObject);
begin
  gti2.offsetSeuil[false] := 0;
  gti2.offsetSeuil[true] := 0;
end;

end.
