unit GTI2_osc_Main;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, Registry,
  spin, clipBrd, ComCtrls, ToolWin, ImgList, XPMan, Lcd, inifiles,
  uniteKer, math, fft, gti2_dll, gti2_osc, printers,
  GTI2_osc_util, maths_osc, GTI2_osc_Graphe,
  gti2_osc_About, gti2_osc_Dde, gti2_osc_Const, gbf_osc, Grids;

const
  maxVoieOrphyClavier = 2;
  
type
  tLedGBF = (lGray,lRed,lGreen);

  TGTI2MainForm = class(TForm)
    PanelCourbe: TPanel;
    TempsPaintBox: TPaintBox;
    ToolBar1: TToolBar;
    ImageList: TImageList;
    RegSaveBtn: TToolButton;
    HelpBtn: TToolButton;
    PlusBtn: TToolButton;
    XPManifest1: TXPManifest;
    Header: TStatusBar;
    PanelVoies: TPanel;
    GroupBox1: TGroupBox;
    Shape4: TShape;
    GroupBox6: TGroupBox;
    Shape1: TShape;
    GroupBox7: TGroupBox;
    Shape2: TShape;
    PanelTemps: TPanel;
    SynchroGB: TGroupBox;
    SynchroRG: TRadioGroup;
    SensRG: TRadioGroup;
    MonocoupCB: TCheckBox;
    BaseDeTempsGB: TGroupBox;
    DureeEdit: TLabeledEdit;
    DureeUpDown: TUpDown;
    FechEdit: TLabeledEdit;
    GroupBox2: TGroupBox;
    Shape3: TShape;
    Timer: TTimer;
    GBFPanel: TPanel;
    GbfPB: TPaintBox;
    DutyGB: TGroupBox;
    DutyEdit: TEdit;
    DutyScroll: TScrollBar;
    AmplitudeGB: TGroupBox;
    AmplitudeEdit: TEdit;
    AmplitudeScroll: TScrollBar;
    OffsetGB : TGroupBox;
    OffsetEdit: TEdit;
    OffsetScroll: TScrollBar;
    signalRG: TRadioGroup;
    FrequencePanel: TPanel;
    SpeedButton5: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton13: TSpeedButton;
    SpeedButton14: TSpeedButton;
    SpeedButton10: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton6: TSpeedButton;
    LabelHz: TLabel;
    MajBtn: TSpeedButton;
    LCD10k: TLCD99;
    ExpressionPanel: TPanel;
    ExpressionEdit: TLabeledEdit;
    GBFbtn: TToolButton;
    PreAcqCB: TCheckBox;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    RadioGroup3: TRadioGroup;
    RadioGroup4: TRadioGroup;
    OrphyAbsent: TPanel;
    Label6: TLabel;
    ComBtn: TSpeedButton;
    EscapeBtn: TSpeedButton;
    Label7: TLabel;
    NbreEdit: TLabeledEdit;
    ShapeCurseur: TShape;
    OffsetNulBtn: TBitBtn;
    Duty50Btn: TBitBtn;
    AutoSetBtn: TToolButton;
    SeuilGB: TGroupBox;
    ProgressBarGTI2: TProgressBar;
    TimerGBF: TTimer;
    SeuilEdit: TEdit;
    EnregistreBtn: TToolButton;
    CheckBox10: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    PanelDuree: TPanel;
    SpinButton1: TSpinButton;
    NbreSpin: TSpinButton;
    SaveDialog1: TSaveDialog;
    ResetBtn: TToolButton;
    MajArbitrBtn: TSpeedButton;
    FrequenceTB: TScrollBar;
    RazSeuilBtn: TSpeedButton;
    FFTbtn: TToolButton;
    FFTPaintBox: TPaintBox;
    Splitter: TSplitter;
    LabelFFTx: TLabel;
    LabelFFTy: TLabel;
    FFTgb: TGroupBox;
    FFTperiode: TCheckBox;
    FreqAutoBtn: TSpeedButton;
    avecSegmentLabel: TLabel;
    Help_GBF_btn: TSpeedButton;
    MonoGBFbtn: TSpeedButton;
    monocoupGBFCB: TCheckBox;
    PopupMenu1: TPopupMenu;
    OuvrirConfig: TMenuItem;
    EnregistrerConfig: TMenuItem;
    OpenDialog1: TOpenDialog;
    ConfigDefaut: TMenuItem;
    ToolButton1: TToolButton;
    OptionsItem: TMenuItem;
    PanelGTS2: TPanel;
    GroupBox8gts2: TGroupBox;
    Shape4GTS2: TShape;
    GroupBox9gts2: TGroupBox;
    Shape5GTS2: TShape;
    GroupBox10gts2: TGroupBox;
    Shape6GTS2: TShape;
    TimerGTS2: TTimer;
    Image2: TImage;
    Image1: TImage;
    Image3: TImage;
    Image4: TImage;
    SpeedButton5gts2: TSpeedButton;
    SpeedButton4GTS2: TSpeedButton;
    SpeedButton6GTS2: TSpeedButton;
    UpDown2: TUpDown;
    UpDown1: TUpDown;
    UpDown0: TUpDown;
    UpDown3: TUpDown;
    LabelC0: TLabel;
    LabelC1: TLabel;
    LabelC2: TLabel;
    LabelC3: TLabel;
    Label4GTS2: TLabel;
    Label5GTS2: TLabel;
    Label6GTS2: TLabel;
    GroupBox0gts2: TGroupBox;
    Shape0GTS2: TShape;
    Label0GTS2: TLabel;
    UpDown0gts2: TUpDown;
    GroupBox11gts2: TGroupBox;
    Shape7gts2: TShape;
    SpeedButton7gts2: TSpeedButton;
    Label7gts2: TLabel;
    GroupBox1gts2: TGroupBox;
    Shape1gts2: TShape;
    Label1gts2: TLabel;
    UpDown1gts2: TUpDown;
    GroupBox2gts2: TGroupBox;
    Shape2gts2: TShape;
    Label2gts2: TLabel;
    UpDown2gts2: TUpDown;
    GroupBox3gts2: TGroupBox;
    Shape3gts2: TShape;
    Label3gts2: TLabel;
    UpDown3gts2: TUpDown;
    GroupBox4gts2: TGroupBox;
    Shape5: TShape;
    Label1: TLabel;
    UpDown4: TUpDown;
    GroupBox5gts2: TGroupBox;
    Shape6: TShape;
    Label2: TLabel;
    UpDown5: TUpDown;
    GroupBox6gts2: TGroupBox;
    Shape7: TShape;
    Label3: TLabel;
    UpDown6: TUpDown;
    GroupBox7gts2: TGroupBox;
    Shape8: TShape;
    Label4: TLabel;
    UpDown7: TUpDown;
    SelectGTS2btn: TBitBtn;
    N1: TMenuItem;
    Quitter1: TMenuItem;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    LabelX: TLabel;
    LabelY: TLabel;
    Fichiercapteurs1: TMenuItem;
    N2: TMenuItem;
    NbreFreqEdit: TEdit;
    NbreFreqSpin: TSpinButton;
    UpDown8: TUpDown;
    UpDown9: TUpDown;
    UpDown10: TUpDown;
    UpDown11: TUpDown;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox8: TCheckBox;
    CheckBox9: TCheckBox;
    CheckBox11: TCheckBox;
    CheckBox12: TCheckBox;
    TimerPoint: TTimer;
    Edit1: TEdit;
    UndoBtn: TToolButton;
    AbscisseRG: TRadioGroup;
    ModeBtn: TToolButton;
    ClavierGB: TGroupBox;
    Label13: TLabel;
    ClavierGrid: TStringGrid;
    ModeAcqMenu: TPopupMenu;
    TempsAcq: TMenuItem;
    PointAcq: TMenuItem;
    ClavierAcq: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure ShowHint(Sender: TObject);
    procedure FileExit(Sender: TObject);
    procedure HelpAbout(Sender: TObject);
    procedure TempsPaintBoxPaint(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RegSaveBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure EscapeBtnClick(Sender: TObject);
    procedure OptionsBtnClick(Sender: TObject);
    procedure DureeUpDownChangingEx(Sender: TObject;
      var AllowChange: Boolean; NewValue: Smallint;
      Direction: TUpDownDirection);
    procedure SynchroRGClick(Sender: TObject);
    procedure SensRGClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure TempsPaintBoxMouseMove(Sender: TObject; Shift: TShiftState;
      X, Y: Integer);
    procedure TempsPaintBoxMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure TempsPaintBoxMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure MonocoupCBClick(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure GBFbtnClick(Sender: TObject);
    procedure GbfPBPaint(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure signalRGClick(Sender: TObject);
    procedure ExpressionEditChange(Sender: TObject);
    procedure ExpressionEditKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure MajBtnClick(Sender: TObject);
    procedure voieBNCClick(Sender: TObject);
    procedure PreAcqCBClick(Sender: TObject);
    procedure Shape1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure RadioGroup1Click(Sender: TObject);
    procedure ComBtnClick(Sender: TObject);
    procedure OffsetNulBtnClick(Sender: TObject);
    procedure Duty50BtnClick(Sender: TObject);
    procedure ExpressionEditExit(Sender: TObject);
    procedure OffsetScrollScroll(Sender: TObject; ScrollCode: TScrollCode;
      var ScrollPos: Integer);
    procedure AutoSetBtnClick(Sender: TObject);
    procedure TimerGBFTimer(Sender: TObject);
    procedure SeuilEditKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure SeuilEditExit(Sender: TObject);
    procedure EnregistreBtnClick(Sender: TObject);
    procedure CheckBox10Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormDestroy(Sender: TObject);
    procedure StopBtnClick(Sender: TObject);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure NbreSpinDownClick(Sender: TObject);
    procedure NbreSpinUpClick(Sender: TObject);
    procedure NbreEditExit(Sender: TObject);
    procedure NbreEditKeyPress(Sender: TObject; var Key: Char);
    procedure ResetBtnClick(Sender: TObject);
    procedure FrequenceTBScroll(Sender: TObject; ScrollCode: TScrollCode;
      var ScrollPos: Integer);
    procedure RazSeuilBtnClick(Sender: TObject);
    procedure FFTbtnClick(Sender: TObject);
    procedure FFTPaintBoxPaint(Sender: TObject);
    procedure OffsetScrollChange(Sender: TObject);
    procedure FFTPaintBoxMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FFTPaintBoxMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FFTPaintBoxMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FFTperiodeClick(Sender: TObject);
    procedure FreqAutoBtnClick(Sender: TObject);
    procedure AmplitudeScrollChange(Sender: TObject);
    procedure DutyScrollChange(Sender: TObject);
    procedure OffsetEditExit(Sender: TObject);
    procedure AmplitudeEditExit(Sender: TObject);
    procedure OffsetEditKeyPress(Sender: TObject; var Key: Char);
    procedure AmplitudeEditKeyPress(Sender: TObject; var Key: Char);
    procedure Help_GBF_btnClick(Sender: TObject);
    procedure FechEditKeyPress(Sender: TObject; var Key: Char);
    procedure MonoGBFbtnClick(Sender: TObject);
    procedure monocoupGBFCBClick(Sender: TObject);
    procedure OuvrirConfigClick(Sender: TObject);
    procedure EnregistrerConfigClick(Sender: TObject);
    procedure ConfigDefautClick(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure CheckBox4gts2Click(Sender: TObject);
    procedure CheckBox8Click(Sender: TObject);
    procedure Shape4GTS2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure TimerGTS2Timer(Sender: TObject);
    procedure RadioGroup4GTS2Click(Sender: TObject);
    procedure PrintBtnClick(Sender: TObject);
    procedure voieGTS2Click(Sender: TObject);
    procedure DB15Click(Sender: TObject);
    procedure SelectGTS2btnClick(Sender: TObject);
    procedure Fichiercapteurs1Click(Sender: TObject);
    procedure NbreFreqEditExit(Sender: TObject);
    procedure NbreFreqEditKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure NbreFreqSpinDownClick(Sender: TObject);
    procedure NbreFreqSpinUpClick(Sender: TObject);
    procedure FFTPaintBoxMouseLeave(Sender: TObject);
    procedure TempsPaintBoxMouseLeave(Sender: TObject);
    procedure UpDown0ChangingEx(Sender: TObject; var AllowChange: Boolean;
      NewValue: Smallint; Direction: TUpDownDirection);
    procedure UpDown0gts2ChangingEx(Sender: TObject; var AllowChange: Boolean;
      NewValue: Smallint; Direction: TUpDownDirection);
    procedure TempsPaintBoxDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure TempsPaintBoxDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure TimerPointTimer(Sender: TObject);
    procedure AbscisseRGClick(Sender: TObject);
    procedure ModeBtnClick(Sender: TObject);
    procedure ClavierGBClick(Sender: TObject);
    procedure ClavierGridExit(Sender: TObject);
    procedure ClavierGridGetEditText(Sender: TObject; ACol, ARow: Integer;
      var Value: string);
    procedure ClavierGridKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ClavierGridKeyPress(Sender: TObject; var Key: Char);
    procedure ClavierGridSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
    procedure Pointparpoint1Click(Sender: TObject);
    procedure Clavier1Click(Sender: TObject);
    procedure AcqClick(Sender: TObject);
    procedure UndoBtnClick(Sender: TObject);
    private
      Curseur : Tcurseur;
      PointCurseur : Tpoint;
      fermeture : boolean;
      initialisation : boolean;
      LedGBF : TledGBF;
      autoSetEnCours : boolean;
      autoSetYD : boolean;
      compteurGBF : word;
      premiereFois : boolean;
      AvecSegment,PremierTrace : boolean;
      EchelleFreq : boolean;
      xCurseurEchelleFreq : integer;
      monocoupTemporaire : boolean;
      FFTok : boolean;
      MonoForcePermis : boolean;
      isXP : boolean;
      stopEnCours : boolean;
      acqSuffisante : boolean;
      reticuleTrace : boolean;
      dureeMini : double;

      NbreVoieOrphyClavier : integer;
      voieOrphyClavier : array[0..MaxVoieOrphyClavier] of Tcourbe;
      RowEdit : integer;

    procedure AppMessage(var Msg: TMsg; var Handled: Boolean);
    procedure SetLedGBF(etat : TledGBF);
    Procedure LanceAcq;
    procedure AfficheReglage;
    procedure MajGBF(etat : TledGBF);
    Procedure SetNbreDDE(newNbre : integer);
    procedure Autoset;
    procedure DeltaSeuil(signe : integer);
    procedure DeltaNbreFreq(montant : boolean);

// point par point
    Procedure EnregistrePointCourant;
    Procedure EffacePointCourant;
    Procedure MarquePointCourant;

    Procedure affecteFreqGBF(freq : double);
    procedure LitConfig(NomFichier : string);
    procedure EcritConfig(NomFichier : string);
    procedure DebutLectureParametres;
    procedure FinLectureParametres;
    function Reconnaissance : boolean;
    procedure affecteStop(stop : boolean);
    procedure SetValeurClavier(sortie : boolean);
    Procedure SetFocusGrid;
  public
    sauverConfig : boolean;
    NbreHarmoniqueAff,NbreFreqAff : integer;
    Xa : vecteurFFT;
  protected
    procedure WMAfficheReglage(var Msg: Tmessage); message wm_Affiche_Reglage;
  end;

var
  GTI2MainForm: TGTI2MainForm;

implementation

uses gti2_osc_Reg, options, yd_CFG_OSC,
// yd_CFG_point,
     gbf_syntaxe, SysInfoCtrls, etalonAuto, yd_EAD_OSC, ToutesVoiesU, Choixcap,
  CLAVIER;

{$R *.DFM}

const DeltatLent = 0.1;
      TexteAvecSegment : array[boolean] of string[32] =
    ('Affichage diffr','Affichage temps rel');

procedure TGTI2MainForm.AppMessage(var Msg: TMsg; var Handled: Boolean);

function NonCouperCopier : boolean;
var EditCtrl : TcustomEdit;
begin
   NonCouperCopier := true;
   if ( (msg.Wparam=24) or (msg.Wparam=3) ) and
      (Screen.ActiveControl is TCustomEdit)
      then begin
          EditCtrl := Screen.ActiveControl as TCustomEdit;
          if EditCtrl.SelLength > 0 then begin
             case msg.Wparam of
                 24 : EditCtrl.CutToClipBoard;
                 3 :  EditCtrl.CopyToClipBoard;
             end;
             Handled := true;
             NonCouperCopier := false;
          end;
   end;
end;

const
         GrecMaj : array[1..26] of char =
  ('A','B','C',deltaMaj,'E',phiMaj,gammaMaj,'H','I',psiMaj,'K',lambdaMaj,
   'M','N',videMaj,piMaj,thetaMaj,'R',sigmaMaj,'T','U','V',omegaMaj,xiMaj,'Y','Z');

        GrecMin : array[1..26] of char =
  (alpha,beta,chi,delta,epsilon,phi,gamma,eta,'i',psi,'k',lambda,
   mu,nu,vide,piMin,theta,rho,sigma,tau,'u','v',omega,xi,'y',zeta);

begin with Msg do
     if Message=wm_char then begin
            if (Wparam>0) and (Wparam<=26) then
             if (GetKeyState(vk_control)<0) then
                 if (GetKeyState(vk_shift)<0) or
                    (GetKeyState(vk_capital)<0)
                    then Wparam := ord(GrecMaj[Wparam])
                    else if (Wparam<>22) and NonCouperCopier
                      { Edition Windows copier coller couper }
                         then Wparam := ord(GrecMin[Wparam]);
    end;
end;                                     

procedure TGTI2MainForm.LitConfig(NomFichier : string);
var Fichier : TIniFile;
    voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
    section : shortString;
begin
     NomFichier := ChangeFileExt(NomFichier,'.GTI2');
     if not FileExists(NomFichier) then exit;
     try
     Fichier := TIniFile.create(NomFichier);
     with Fichier do begin
     grapheOsc.modeAcq := TmodeAcq(ReadInteger('Mode','Point',0));
     case grapheOsc.modeAcq of
          mTemps : TempsAcq.checked := true;
          mPointParPoint : PointAcq.checked := true;
          mClavier : ClavierAcq.checked := true;
     end;
     DureeUpDown.position := ReadInteger('Temps','Duree',7);
 // 2 ms  : 1000 points sur deux voies
     gti2.baseDeTemps := TbaseDeTemps(DureeUpDown.Position);
     grapheOsc.interpolation := Tinterpolation(ReadInteger('GTI2','Interpolation',0));
     for voie := low(indiceVoieYD) to high(indiceVoieYD) do begin
         section := 'Voie'+intToStr(voie);
     with grapheOsc.voieOrphy[voie] do begin
         active := ReadBool(section,'Active',voie=0);
         if not active
            then diffRG.itemIndex := 2
            else diffRG.itemIndex := ReadInteger(section,'Diff',0);
         Mini := ReadFloat(section,'Mini',-15);
         Maxi := ReadFloat(section,'Maxi',+15);
         if not active
            then calibreUD.position := 6
            else calibreUD.position := ReadInteger(section,'Calibre',6);
         zeroCB.checked := ReadBool(section,'Positif',false);
         grapheFFT.voieOrphy[voie].active := active;
         grapheFFT.voieOrphy[voie].maxi := maxi;
         nom := ReadString(section,'Nom',nom);
     end;
     end;// for voie

     for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do begin
     section := 'VoieGTS'+intToStr(v2);
     with grapheOsc.voieGTS2[v2] do begin
         active := ReadBool(section,'Active',false);
         Mini := ReadFloat(section,'Mini',-5);
         Maxi := ReadFloat(section,'Maxi',+5);
         if v2<voieG then if not active
            then calibreUD.position := 6
            else calibreUD.position := ReadInteger(section,'Calibre',6);
         grapheFFT.voieGTS2[v2].active := active;
         grapheFFT.voieGTS2[v2].maxi := maxi;
         nom := ReadString(section,'Nom',nom);
     end;
     end;// for v2

     entreeClavier.nom := ReadString('Clavier','Nom','X');
     entreeClavier.nomUnite := ReadString('Clavier','Unite','');
     entreeClavier.mini := ReadFloat('Clavier','Mini',0);
     entreeClavier.maxi := ReadFloat('Clavier','Maxi',10);

     signalRG.ItemIndex := ReadInteger('GBF','Signal',0);
     amplitudeScroll.position := ReadInteger('GBF','Amplitude',100);
     dutyScroll.position := ReadInteger('GBF','Duty',50);
     offsetScroll.position := ReadInteger('GBF','Offset',0);
     monocoupgbfCB.checked := ReadBool('GBF','Monocoup',false);
     LCD10k.value := ReadString('GBF','Frequence','1000');
     ExpressionEdit.text := ReadString('GBF','Expression','t*5');
//     GBFbtn.Down := ReadBool('GBF','Actif',false);
     GBFbtn.Down := false;
     ExpressionPanel.Visible := signalRG.itemIndex=ord(sArbitraire);

     synchroRG.ItemIndex := ReadInteger('Synchro','Mode',0);
     abscisseRG.ItemIndex := ReadInteger('Graphe','Abscisse',0);
     grapheOsc.voieSynchro := synchroRG.itemIndex;
     grapheOsc.voieAbscisse := abscisseRG.itemIndex;     
     gti2.seuilVolt := ReadFloat('Synchro','Seuil',0);
     grapheOsc.seuilSynchro := gti2.seuilVolt;
     sensRG.ItemIndex := ReadInteger('Synchro','Sens',0);
     preAcqCB.checked := ReadBool('Synchro','PreAcq',false);
     MonocoupCB.checked := ReadBool('Synchro','Monocoup',false);
     grapheOsc.monocoup := MonocoupCB.checked;
     end;
     fichier.free;
     except
     end;
end;

procedure TGTI2MainForm.FormCreate(Sender: TObject);

procedure SetDefaut;
var voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
begin
     monocoupTemporaire := true;
     grille := true;
     WidthCursor := 3;
     NbreHarmoniqueAff := 64;
     NbreFreqAff := 1024;
     with grapheOsc do begin
         AnalyseurLogique := false;
         Nbre := 0;
         NbreMaxi := 1000;
     end;
     
     for voie := low(indiceVoieYD) to high(indiceVoieYD) do
     with grapheOsc.voieOrphy[voie] do begin
         active := voie=0;
         if active
            then diffRG.itemIndex := 0
            else diffRG.itemIndex := 2;
         Mini := -15;
         Maxi := +15;
         calibreUD.position := 6;
         zeroCB.checked := false;
     end;

     for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
     with grapheOsc.voieGTS2[v2] do begin
         active := false;
         Mini := -5;
         Maxi := +5;
         if v2<voieG then calibreUD.position := 4;
     end;

     synchroRG.ItemIndex := 0;
     abscisseRG.ItemIndex := 0;
     grapheOsc.voieSynchro := 0;
     grapheOsc.voieAbscisse := 0;
     gti2.seuilVolt := 0;
     grapheOsc.seuilSynchro := gti2.seuilVolt;
     sensRG.ItemIndex := 0;
     preAcqCB.checked := false;
     MonocoupCB.checked := false;
     grapheOsc.monocoup := false;
     DureeUpDown.position := 8;
     gti2.baseDeTemps := TbaseDeTemps(DureeUpDown.Position);
     PanelDuree.visible := gti2.baseDeTemps>b5;
     gti2.offsetSeuil[false] := 0;
     gti2.offsetSeuil[true] := 0;
     MonoForcePermis := true;

     signalRG.ItemIndex := 0;
     dutyScroll.position := 50;
     offsetScroll.position := 0;
     ExpressionEdit.text := 't*5';
     GBFbtn.Down := false;

     gti2.baseDeTemps := TbaseDeTemps(DureeUpDown.Position);

     for voie := low(indiceVoieYD) to high(indiceVoieYD) do begin
         grapheFFT.voieOrphy[voie].active := grapheOsc.voieOrphy[voie].active;
         grapheFFT.voieOrphy[voie].maxi := grapheOsc.voieOrphy[voie].maxi;
     end;

     for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do begin
         grapheFFT.voieGTS2[v2].active := grapheOsc.voieGTS2[v2].active;
         grapheFFT.voieGTS2[v2].maxi := grapheOsc.voieGTS2[v2].maxi;
     end;

     amplitudeScroll.position := amplitudeScroll.max div 2;
     monocoupgbfCB.checked := false;
     LCD10k.value := '1000';
     ExpressionPanel.Visible := false;

end; // setDefaut

procedure LitConfigReg;
var Fichier : TRegistryIniFile;
    voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
    section : shortString;
    i : integer;
begin
  try
  Fichier := TRegistryIniFile.create(RegistreGTI2);
  With Fichier do begin
     grille := readBool('Affichage','Grille',true);
     avecCurseur := readBool('Affichage','Curseur',true);
     NbreHarmoniqueAff := ReadInteger('FFT','NbreAff',64);
     NbreFreqAff := ReadInteger('FFT','NbreFreq',1024);
     WidthCursor := readInteger('Affichage','WidthCursor',3);
     AnalyseHarmonique := ReadBool('FFT','Harmonique',true);
     with grapheOsc do begin
         TestPente := ReadBool('Synchro','TestPente',false);
         NbreMaxi := readInteger('Oscillo','NbreMaxi',1000);
         PenWidth := readInteger('Affichage','PenWidth',1);
         AnalyseurLogique := ReadBool('Oscillo','AnalLog',false);
         Nbre := 0;
         for i := 0 to Maxvecteur do
             entreeClavier.vecteurAff[i] := sansSignif;
     end;
     for voie := low(indiceVoieYD) to high(indiceVoieYD) do begin
         section := 'Voie'+intToStr(voie);
     with grapheOsc.voieOrphy[voie] do begin
         active := ReadBool(section,'Active',voie=0);
         if not active
            then diffRG.itemIndex := 2
            else diffRG.itemIndex := ReadInteger(section,'Diff',0);
         Mini := ReadFloat(section,'Mini',-15);
         Maxi := ReadFloat(section,'Maxi',+15);
         if not active
            then calibreUD.position := 6
            else calibreUD.position := ReadInteger(section,'Calibre',6);
         zeroCB.checked := ReadBool(section,'Positif',false);
         grapheFFT.voieOrphy[voie].active := active;
         grapheFFT.voieOrphy[voie].maxi := maxi;
         nom := ReadString(section,'Nom',nom);
     end;
     end;// for voie
     for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do begin
     section := 'VoieGTS'+intToStr(v2);
     with grapheOsc.voieGTS2[v2] do begin
         active := ReadBool(section,'ActiveP',false);
         Mini := ReadFloat(section,'Mini',-5);
         Maxi := ReadFloat(section,'Maxi',+5);
         if v2<voieG then if not active
            then calibreUD.position := 5
            else calibreUD.position := ReadInteger(section,'Calibre',6);
         grapheFFT.voieGTS2[v2].active := active;
         grapheFFT.voieGTS2[v2].maxi := maxi;
         nom := ReadString(section,'NomP',nom);
     end;
     end;// for v2
     if fileExists(FichierConfigGeneral)
        then litConfig(fichierConfigGeneral)
        else if fileExists(FichierConfig) then
             litConfig(fichierConfig);
  end; // with fichier
  fichier.free;
  gti2.load;
  except
  end;
end; // litConfigReg

Procedure InitTemps;
var i,j : integer;
    v2 : indiceVoieGTS2;
begin
  grapheOsc := TgrapheOsc.create;
  with grapheOsc do begin
  canvas := TempsPaintBox.canvas;
  paintBox := TempsPaintBox;

  voieOrphy[0].diffRG := radioGroup1;
  voieOrphy[0].shape := shape1;
  voieOrphy[0].calibreUD := updown0;
  voieOrphy[0].zeroCB := checkBox10;
  voieOrphy[0].GBvoie := groupBox6;
  voieOrphy[0].labelCalibre := labelC0;

  voieOrphy[1].diffRG := radioGroup2;
  voieOrphy[1].shape := shape2;
  voieOrphy[1].calibreUD := updown1;
  voieOrphy[1].zeroCB := checkBox5;
  voieOrphy[1].GBvoie := groupBox7;
  voieOrphy[1].labelCalibre := labelC1;

  voieOrphy[2].diffRG := radioGroup3;
  voieOrphy[2].shape := shape3;
  voieOrphy[2].calibreUD := updown2;
  voieOrphy[2].zeroCB := checkBox6;
  voieOrphy[2].GBvoie := groupBox2;
  voieOrphy[2].labelCalibre := labelC2;

  voieOrphy[3].diffRG := radioGroup4;
  voieOrphy[3].shape := shape4;
  voieOrphy[3].calibreUD := updown3;
  voieOrphy[3].zeroCB := checkBox7;
  voieOrphy[3].GBvoie := groupBox1;
  voieOrphy[3].labelCalibre := labelC3;

  for i := 0 to pred(PanelGTS2.controlCount) do begin
      if (PanelGTS2.controls[i] is TgroupBox) then begin
      v2 := TGroupBox(PanelGTS2.controls[i]).tag;
      with voieGTS2[v2] do begin
           GBvoie := TgroupBox(PanelGTS2.controls[i]);
           for j := 0 to pred(GBvoie.controlCount) do begin
                GBvoie.controls[j].tag := GBvoie.tag;
                if GBvoie.controls[j] is TupDown then
                   calibreUD := Tupdown(GBvoie.controls[j]);
                if GBvoie.controls[j] is TcheckBox then
                   zeroCB := TcheckBox(GBvoie.controls[j]);
                if GBvoie.controls[j] is Tshape then
                   shape := Tshape(GBvoie.controls[j]);
                if GBvoie.controls[j] is Tlabel then
                   labelCalibre := Tlabel(GBvoie.controls[j]);
                if GBvoie.controls[j] is TspeedButton then
                   speedVoie := TspeedButton(GBvoie.controls[j]);
            end;
      end;
      end;
  end;

end end;

var voie : indiceVoieYD;
    winVersion : shortString;
    numVersion : integer;
    carac : char;
begin
   isXP := false;
   winVersion := winInfo.winVerNo;
   if length(winVersion)>=3 then begin
          carac := winVersion[1];
          if carac in ['0'..'9']
             then numVersion := 10*(ord(carac)-ord('0'))
             else numVersion := 0;
          carac := winVersion[3];
          if carac in ['0'..'9'] then numVersion := numVersion+ord(carac)-ord('0');
          isXP := numVersion>=51;
   end;
  initialisation := true;
  premiereFois := true;
  LedGBF := lGray;
  Application.OnHint := ShowHint;
  Application.OnMessage := AppMessage;
  DureeUpDown.Max := ord(high(TbaseDeTemps));

  grapheFFT := TgrapheOsc.create;
  grapheFFT.trace := tLigne;
  grapheFFT.canvas := FFTPaintBox.canvas;
  grapheFFT.paintBox := FFTPaintBox;
  grapheFFT.voieTemps.nom := 'f';
  grapheFFT.voieTemps.nomUnite := 'Hz';
  grapheFFT.voieTemps.mini := 0;
  grapheFFT.nbre := 64;
  grapheFFT.voieSynchro := 0;
  grapheFFT.AnalyseurLogique := true;
  for voie := low(indiceVoieYD) to high(indiceVoieYD) do
      grapheFFT.voieOrphy[voie].Mini := 0;

  gti2 := TGTI2.create;

  InitTemps;
  setDefaut;
  LitConfigReg;
  initialisation := false;
end;

procedure TGTI2MainForm.ShowHint(Sender: TObject);
begin
   if Application.Hint=''
      then Caption := 'Acquisition par GTI II pour Regressi'
      else begin
          Caption := Application.Hint;
          Header.SimpleText := Application.Hint;
      end
end;

procedure TGTI2MainForm.Fichiercapteurs1Click(Sender: TObject);
begin
   DebutLectureParametres;
   ChoixCapteursDlg := TChoixCapteursDlg.create(self);
   ChoixCapteursDlg.showModal;
   ChoixCapteursDlg.free;
   finLectureParametres;
end;

procedure TGTI2MainForm.FileExit(Sender: TObject);
begin
   Close
end;

procedure TGTI2MainForm.HelpAbout(Sender: TObject);
begin
    GTI2AboutBox.ShowModal
end;

procedure tGTI2MainForm.AfficheReglage;

Procedure AfficheReglageOsc;
var voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
    calibre : Tcalibre;
    i : integer;
    NbreCourbes : integer;
begin with grapheOsc do begin
   avecGTS2 := gti2.GTS2permis;
   GbfBtn.visible := true;
   FFTperiode.checked := fft.AnalyseHarmonique;
   FFTbtn.visible := modeAcq=mTemps;
   FFTgb.Visible := (modeAcq=mTemps) and FFTbtn.Down;
   PanelTemps.Visible := modeAcq=mTemps;
   ProgressBarGTI2.visible := modeAcq=mTemps;
   if stopEnCours then stopBtnClick(nil);
   for voie := low(indiceVoieYD) to high(indiceVoieYD) do
       with voieOrphy[voie] do begin
            calibre := Tcalibre(calibreUD.position);
            labelCalibre.caption := calibreStr[calibre];
            maxi := valeurCalibre[calibre];
            if zeroCB.checked
               then mini := 0
               else mini := -maxi;
            setMinMax;
       end;
   for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
       with voieGTS2[v2] do if (indexCapteurAuto=0) and not avecCapteur then begin
            if v2<voieG then begin
               calibre := Tcalibre(calibreUD.position);
               labelCalibre.caption := calibreGTS2Str[calibre];
               maxi := valeurCalibreGTS2[calibre];
               mini := -maxi;
            end;
            setMinMax;
   end;
   GBFPanel.Visible := GbfBtn.down;
   if not GBFPanel.visible then begin
      timerGBF.Enabled := false;
      majBtn.visible := false;
   end;
   dureeEdit.Text := BaseDeTempsStr[gti2.baseDeTemps];
   grapheOsc.NbreMaxi := gti2.nbrePoints;
   FechEdit.Text := frequence.formatUnite(gti2.freqEch);
   nbreEdit.text := intToStr(gti2.nbrePoints);
   EnregistreBtn.visible := true;
   if (modeAcq=mPointParPoint) and not voieOrphy[voieAbscisse].active then begin
      voieAbscisse := low(indiceVoieYD);
      while (voieAbscisse<high(indiceVoieYD)) and
            not voieOrphy[voieAbscisse].active do inc(voieAbscisse);
      if not voieOrphy[voieAbscisse].active then begin
         voieOrphy[voieAbscisse].active := true;
         afficheErreur('La voie en abscisse doit tre une voie YD');
      end;
   end;
   NbreCourbes := 0;
   for voie := low(indiceVoieYD) to high(indiceVoieYD) do
       if voieOrphy[voie].active then inc(NbreCourbes);
   if nbreCourbes=0 then with voieOrphy[0] do begin
       active := true;
       DiffRG.itemIndex := 0;
       NbreCourbes := 1;
       afficheErreur('Il faut au moins une voie YD active');
    end;
    if (modeAcq=mPointParPoint) and (nbreCourbes<2) then begin
       for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
           if voieGTS2[v2].active then inc(NbreCourbes);
       dec(NbreCourbes); // abscisse    
       if nbreCourbes<1 then begin
          voieGTS2[0].active := true;
          afficheErreur('Il faut au moins deux voies');
       end;
    end;
    gti2.voieSynchro := synchroRG.itemIndex;
    voieAbscisse := abscisseRG.itemIndex;
    gti2.montant := sensRG.itemIndex=1;
    preAcqCB.Visible := gti2.voieSynchro>0;
    MonocoupCB.visible := gti2.voieSynchro>0;
    if synchroRG.itemIndex>0
        then begin
            synchroRG.hint := trModifSeuil+trDuGraphe;
            voieSynchro := synchroRG.itemIndex;
            grapheFFT.voieSynchro := voieSynchro;
            with voieYDSynchro do begin
                 seuilGB.Caption := 'Seuil : '+nom+' (V)';
                 active := true;
                 seuilEdit.text := FormatSynchro(seuilSynchro);
                 seuilEdit.font.Color := Couleur;
            end;
        end
        else begin
            grapheOsc.voieSynchro := 0;
            grapheFFT.voieSynchro := 0;
            synchroRG.hint := '';
        end;
   for v2 := voieG to voieJ do with voieGTS2[v2] do
       GBvoie.visible := active;
   for voie := low(indiceVoieYD) to high(indiceVoieYD) do
       with voieOrphy[voie] do begin
          calibreUD.visible := active;
          labelCalibre.visible := active;
          zeroCB.visible := active;
          gti2.active[voie] := active;
          shape.visible := active;
          grapheFFT.voieOrphy[voie].active := active;
          grapheFFT.voieOrphy[voie].maxi := maxi;
       if active then begin
          gti2.differentiel[voie] := diffRG.itemIndex=0;
          shape.brush.color := couleur;
          gti2.calibre15V[voie] := maxi>5;
          GBvoie.Caption := TitreVoieY[gti2.differentiel[voie],voie]+' : '+nom;
       end
       else begin
          shape.brush.color := clBtnFace;
          GBvoie.Caption := TitreVoieY[true,voie];
       end;
   end;
   for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
       with voieGTS2[v2] do begin
          labelCalibre.visible := active and
                   not avecCapteur and
                   (indexCapteurAuto=0);
          if v2<voieG then calibreUD.visible := labelCalibre.visible;
          gti2.activeGts2[v2] := active;
          GBvoie.visible := active;
          shape.visible := active;
          grapheFFT.voieGTS2[v2].active := active;
          grapheFFT.voieGTS2[v2].maxi := maxi;
          GBvoie.Caption := TitreVoieGTI2[gti2.connectique,v2]+calibreVoie;
          GBvoie.hint := AideVoieGTI2[gti2.connectique,v2];
       if active then begin
          shape.brush.color := couleur;
          if (v2>=voieG) and (indexCapteurAuto>0) then begin
             labelCalibre.visible := false;
             speedVoie.Visible := ListeCapteursAuto[indexCapteurAuto].avecEtalonnage;
             speedVoie.down := etalonnageFait;
          end;
          if avecCapteur then begin
             labelCalibre.visible := false;
          end;
       end
       else begin
          shape.brush.color := clBtnFace;
       end;
   end;
   preTrig := preAcqCB.visible and preAcqCB.checked;
   montant := sensRG.itemIndex=1;
   MonocoupCB.visible := synchroRG.itemIndex>0;
   grapheOsc.monocoup := MonocoupCB.visible and MonocoupCB.checked;
   sensRG.Visible := synchroRG.itemIndex>0;
   seuilGB.Visible := synchroRG.itemIndex>0;
   if pretrig
      then voieTemps.Mini := -dureeBalayage[gti2.baseDeTemps]/10 // 500/5000 = 10%
      else voieTemps.Mini := 0;
   voieTemps.Maxi := voieTemps.Mini + dureeBalayage[gti2.baseDeTemps];
   AbscisseRG.visible := modeAcq=mPointParPoint;
   for i := 1 to 4 do
       case voieOrphy[i-1].diffRG.itemIndex of
          0 : begin
             synchroRG.Items[i] := 'YD'+intTostr(i-1);
             abscisseRG.Items[i-1] := 'YD'+intTostr(i-1);
          end;
          1 : begin
             synchroRG.Items[i] := 'Y'+intTostr(i-1)+' BNC';
             abscisseRG.Items[i-1] := 'Y'+intTostr(i-1)+' BNC';             
          end;
          2 : begin
             synchroRG.Items[i] := '';
             abscisseRG.Items[i-1] := '';
          end;
       end;
   avecSegment := (monocoupCB.checked or not monocoupCB.visible) and
       (gti2.baseDeTemps>b100m);
   avecSegmentLabel.caption := TexteAvecSegment[avecSegment];
   TempsPaintBox.refresh;
   case modeAcq of
           mPointParPoint : begin
              enregistreBtn.caption := 'Enregistrer';
              enregistreBtn.hint := 'Enregistrer le point courant'
           end;
           mTemps : begin
              enregistreBtn.caption := 'Acquisition';
              enregistreBtn.hint := 'Lancer l''acquisition';
           end;
           mClavier : begin
           end;
   end;
   gti2.etalonnage := true;
   EnregistreBtn.Enabled := monocoupCB.checked or
                           (synchroRG.itemIndex=0) or
                            monocoupTemporaire or
                            (grapheOsc.modeAcq=mPointParPoint);
// pour lancement par clavier ou point par point
   autosetBtn.visible := ( grapheOsc.modeAcq=mTemps);
   if monocoupCB.visible
      and not monocoupCB.checked
      and ( grapheOsc.modeAcq=mTemps)
          then lanceAcq;
// else lancement par clavier ou point par point
   TimerPoint.Enabled :=  grapheOsc.modeAcq<>mTemps;
   UndoBtn.visible := (grapheOsc.modeAcq=mPointParPoint);
   if grapheOsc.modeAcq<>mTemps then begin
      timerGTS2.Enabled := false;
      timer.Enabled := false;
      UndoBtn.enabled := Nbre>0;
   end;
end end; // afficheReglageOsc
                                              
procedure AfficheReglageClavier;
var voie : indiceVoieYD;
    i : integer;
begin
    NbreVoieOrphyClavier := 0;
    for voie := low(indiceVoieYD) to high(indiceVoieYD) do
        if grapheOsc.voieOrphy[voie].active then begin
             voieOrphyClavier[NbreVoieOrphyClavier] := grapheOsc.voieOrphy[voie];
             inc(NbreVoieOrphyClavier);
             if NbreVoieOrphyClavier>maxVoieOrphyClavier then break;
        end;
    ClavierGrid.DefaultColWidth := ClavierGrid.width div (NbreVoieOrphyClavier+1);
    ClavierGrid.colCount := NbreVoieOrphyClavier+1;
    ClavierGrid.cells[0,0] := entreeClavier.nom;
    for i := 0 to pred(NbreVoieOrphyClavier) do
        ClavierGrid.cells[i+1,0] := voieOrphyClavier[i].nom;
    ClavierGB.caption := entreeClavier.nom+' au clavier';
    setFocusGrid;
end;

begin
   if tempsAcq.checked then grapheOsc.modeAcq := mTemps;
   if PointAcq.checked then grapheOsc.modeAcq := mPointParPoint;
   if ClavierAcq.checked then grapheOsc.modeAcq := mClavier;
   if (grapheOsc.modeAcq<>mTemps) and
       FFTPaintBox.visible then begin 
          Splitter.visible := false;
          FFTPaintBox.visible := false;
          FFTgb.Visible := false;
          FFTbtn.down := false;
          FFTbtn.visible := false;
   end;
   PanelGTS2.Visible := gti2.GTS2permis;
   ClavierGB.visible := grapheOsc.modeAcq=mClavier;
   case grapheOsc.modeAcq of
      mPointParPoint : begin
         modeBtn.imageIndex := 19;
      end;
      mTemps : begin
         modeBtn.imageIndex := 20;
      end;
      mClavier : begin
         modeBtn.imageIndex := 24;
      end;
   end;
   initialisation := true;
   timer.enabled := false;
   timerGBF.enabled := false;
   if GBFpanel.visible then MajGBF(lGreen);
   afficheReglageOsc;
   if grapheOsc.modeAcq=mClavier then
       AfficheReglageClavier;
   monocoupTemporaire := false;
   initialisation := false;
end; // afficheReglage

procedure TGTI2MainForm.TempsPaintBoxPaint(Sender: TObject);

procedure CalculSpectre;
var voie : indiceVoieYD;
    deltaF : double;
    nbreF,i : integer;
begin
       for voie := low(indiceVoieYD) to high(indiceVoieYD) do
           if grapheOsc.voieOrphy[voie].active then
                spectreAmplitude(grapheOsc.Nbre,
                                 grapheOsc.voieOrphy[voie].vecteurAff,
                                 grapheFFT.voieOrphy[voie].vecteurAff,
                                 grapheFFT.voieTemps.vecteurAff,NbreF);
       grapheFFT.Nbre := NbreF div 2;
       grapheFFT.NbreAff := NbreFreqAff;
       deltaF := gti2.FreqEch/NbreF;
       grapheFFT.voieTemps.maxi := grapheFFT.NbreAff*deltaF;
       with grapheFFT.voieTemps do
            for i := 0 to pred(NbreF) do
                vecteurAff[i] := vecteurAff[i]*deltaF;
       FFTok := true;                
       FFTPaintBox.refresh;
end;

procedure CalculHarmoniques;
var indexPeriode : integer;
    periode,deltaF : double;
    xint : integer;
    voie : indiceVoieYD;
    i,nbreF : integer;
begin
        calculAutoCorrelation(grapheOsc.Nbre,
                              grapheOsc.VoieRef.vecteurAff,Xa,indexPeriode);
        if indexPeriode>64 then begin
             grapheOsc.SetIndexPeriode(indexPeriode);
             periode := indexPeriode/gti2.Freqech;
             xint := grapheOsc.voieTemps.Xwindow(periode);
             TempsPaintBox.Canvas.pen.Style := psDot;
             TempsPaintBox.Canvas.pen.Color := clHotLight;
             TempsPaintBox.Canvas.MoveTo(xint,0);
             TempsPaintBox.Canvas.LineTo(xint,TempsPaintBox.height);
             for voie := low(indiceVoieYD) to high(indiceVoieYD) do
                 with grapheOsc.voieOrphy[voie] do if active then
                      spectreAmplitude(indexPeriode,vecteurAff,
                                       grapheFFT.voieOrphy[voie].vecteurAff,
                                       grapheFFT.voieTemps.vecteurAff,nbreF);
             deltaF := 1/periode;
             grapheFFT.Nbre := NbreF;
             grapheFFT.NbreAff := NbreHarmoniqueAff;
             grapheFFT.voieTemps.maxi := NbreHarmoniqueAff*deltaF;
             with grapheFFT.voieTemps do
                  for i := 0 to pred(NbreF) do
                      vecteurAff[i] := vecteurAff[i]*deltaF;
             FFTok := true;
             FFTPaintBox.refresh;
          end
          else begin
              FFTok := false;
              FFTPaintBox.canvas.Brush.Color := clWindow;
              FFTPaintBox.canvas.FillRect(FFTPaintBox.clientRect);
              FFTPaintBox.canvas.textOut(FFTPaintBox.width div 3,
                                         FFTPaintBox.height div 2,
                                         'Priode non trouve')
          end;
end;

begin
     grapheOsc.draw;
     if FFTbtn.down then
        if grapheOsc.Nbre>512
           then if analyseHarmonique
              then calculHarmoniques
              else calculSpectre
           else begin
              FFTok := false;
              FFTPaintBox.canvas.Brush.Color := clWindow;
              FFTPaintBox.canvas.FillRect(FFTPaintBox.clientRect);
              FFTPaintBox.canvas.textOut(FFTPaintBox.width div 3,
                                         FFTPaintBox.height div 2,
                                         'Pas assez de points')
           end;
     if grapheOsc.modeAcq<>mTemps then begin
           ReticuleTrace := false;
           marquePointCourant;
     end;
end; // TempsPaintBoxPaint

procedure TGTI2MainForm.EcritConfig(NomFichier : string);
var Fichier : TMemIniFile;
    voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
    section : shortString;
begin
    NomFichier := ChangeFileExt(NomFichier,'.GTI2');
    try
    Fichier := TMemIniFile.create(NomFichier);
    with Fichier do begin
       for voie := low(indiceVoieYD) to high(indiceVoieYD) do begin
       section := 'Voie'+intToStr(voie);
       with grapheOsc.voieOrphy[voie] do begin
           WriteBool(section,'Active',active);
           WriteInteger(section,'Diff',DiffRG.itemIndex);
           WriteInteger(section,'Calibre',calibreUD.position);
           WriteBool(section,'Positif',zeroCB.checked);
           WriteString(section,'Nom',nom);
           WriteFloat(section,'Mini',Mini);
           WriteFloat(section,'Maxi',Maxi);
       end;
       end;
       for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do begin
       section := 'VoieGTS'+intToStr(v2);
       with grapheOsc.voieGTS2[v2] do begin
           WriteBool(section,'Active',active);
           if v2<voieG then WriteInteger(section,'Calibre',calibreUD.position);
           WriteString(section,'Nom',nom);
           WriteFloat(section,'Mini',Mini);
           WriteFloat(section,'Maxi',Maxi);
       end;
       end;

       WriteString('Clavier','Nom',entreeClavier.nom );
       WriteString('Clavier','Unite',entreeClavier.nomUnite);
       WriteFloat('Clavier','Mini',entreeClavier.mini);
       WriteFloat('Clavier','Maxi',entreeClavier.maxi);

       WriteInteger('Mode','Point',ord(grapheOsc.modeAcq));
       WriteInteger('GTI2','Interpolation',ord(grapheOsc.interpolation));

       WriteInteger('Temps','Duree',DureeUpDown.position);
       WriteInteger('Graphe','Abscisse',abscisseRG.ItemIndex);
       WriteInteger('Synchro','Mode',synchroRG.ItemIndex);
       WriteInteger('Synchro','Sens',sensRG.ItemIndex);
       WriteFloat('Synchro','Seuil',gti2.seuilVolt);
       WriteBool('Synchro','PreAcq',preAcqCB.checked);
       WriteBool('Synchro','Monocoup',MonocoupCB.checked);

       WriteInteger('GBF','Amplitude',amplitudeScroll.position);
       WriteInteger('GBF','Signal',signalRG.ItemIndex);
       WriteInteger('GBF','Duty',dutyScroll.position);
       WriteInteger('GBF','Offset',offsetScroll.position);
       WriteString('GBF','Frequence',LCD10k.value);
       WriteString('GBF','Expression',gbf.expression);
       WriteBool('GBF','Actif',GBFbtn.Down);
       WriteBool('GBF','Monocoup',monocoupgbfCB.checked);
   end;
   fichier.UpdateFile;
   fichier.free;
   except
   end;
end;

procedure TGTI2MainForm.FormClose(Sender: TObject;
  var Action: TCloseAction);

procedure WriteFormPlacement;
var
  ini : TregIniFile;
begin
  try
  Ini := TregIniFile.create(RegistreGTI2);
  Ini.WriteInteger('Window','State',ord(WindowState));
  Ini.WriteInteger('Window','Height',height);
  Ini.WriteInteger('Window','Width',width);
  Ini.WriteInteger('Window','Top',top);
  Ini.WriteInteger('Window','Left',left);
  Ini.free;
  except
  end;
end;

Procedure EcritConfigReg;
var Fichier : TRegistryIniFile;
    section : shortString;
    voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
begin
   try
   Fichier := TRegistryIniFile.create(RegistreGTI2);
   with fichier do begin
       WriteInteger('Affichage','WidthCursor',WidthCursor);
       writeBool('Affichage','Grille',grille);
       writeBool('Affichage','Curseur',avecCurseur);
       with grapheOsc do begin
          WriteInteger('Affichage','PenWidth',penWidth);
          WriteBool('Oscillo','AnalLog',AnalyseurLogique);
          WriteInteger('Oscillo','NbreMaxi',grapheOsc.NbreMaxi);
          WriteBool('Synchro','TestPente',TestPente);
       end;
       for voie := low(indiceVoieYD) to high(indiceVoieYD) do begin
           section := 'Voie'+intToStr(voie);
       with grapheOsc.voieOrphy[voie] do begin
           WriteBool(section,'Active',active);
           WriteInteger(section,'Diff',DiffRG.itemIndex);
           WriteInteger(section,'Calibre',calibreUD.position);
           WriteBool(section,'Positif',zeroCB.checked);
           WriteString(section,'Nom',nom);
           WriteFloat(section,'Mini',Mini);
           WriteFloat(section,'Maxi',Maxi);
       end;
       end;
       for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do begin
       section := 'VoieGTS'+intToStr(v2);
       with grapheOsc.voieGTS2[v2] do begin
           WriteBool(section,'Active',active);
           if v2<voieG then WriteInteger(section,'Calibre',calibreUD.position);
           WriteString(section,'Nom',nom);
           WriteFloat(section,'Mini',Mini);
           WriteFloat(section,'Maxi',Maxi);
       end;
       end;
       UpdateFile;
   end;
   Fichier.free;
   if sauverConfig
      then EcritConfig(FichierConfig)
      else deleteFile(Pchar(fichierConfig)); // supprimer le fichier
   gti2.store;
   except
   end;
end; // EcritConfigReg

begin
     Fermeture := true;
     DebutLectureParametres;
     writeFormPlacement;
     if gti2.isOpen then begin
        if (grapheOsc.modeAcq=mTemps) and
           stopEnCours then stopBtnClick(sender);
        EcritConfigReg;
     end;
end; // FormClose

procedure TGTI2MainForm.RegSaveBtnClick(Sender: TObject);
begin
   debutLectureParametres;
   if ConstanteDlg.showModal=mrOk
      then begin
           DDEForm.EnvoieDonneesOsc;
           case grapheOsc.modeAcq of
                mTemps : if monocoupCB.visible and
                        not monocoupCB.checked then lanceAcq;
                else finLectureParametres;
           end;
      end
      else finLectureParametres;
end;

procedure TGTI2MainForm.HelpBtnClick(Sender: TObject);
begin
     application.HelpFile := ChangeFileExt(Application.ExeName,'.HLP');
     application.HelpShowTableOfContents;
end;

procedure TGTI2MainForm.EscapeBtnClick(Sender: TObject);
begin
     Application.Terminate
end;                                                         

procedure TGTI2MainForm.OptionsBtnClick(Sender: TObject);
begin
    DebutLectureParametres;
    if (OptionsDlg.showModal=mrOK)
       then AfficheReglage
       else finLectureParametres;
end;

procedure TGTI2MainForm.DureeUpDownChangingEx(Sender: TObject;
  var AllowChange: Boolean; NewValue: Smallint;
  Direction: TUpDownDirection);
begin
  if newValue>dureeUpDown.max then exit;
  if newValue<dureeUpDown.min then exit;
  gti2.baseDeTemps := TbaseDeTemps(newValue);
  dureeEdit.text := BaseDeTempsStr[gti2.baseDeTemps];
  grapheOsc.NbreMaxi := gti2.nbrePoints;
  fechEdit.Text := frequence.formatUnite(gti2.freqEch);
  nbreEdit.text := intToStr(gti2.NbrePoints);
  preAcqCB.Visible := gti2.voieSynchro>0;
  if not initialisation then begin
     affecteStop(false);
     if grapheOsc.pretrig
        then grapheOsc.voieTemps.Mini := -dureeBalayage[gti2.baseDeTemps]/10
        else grapheOsc.voieTemps.Mini := 0;
     grapheOsc.voieTemps.Maxi := grapheOsc.voieTemps.Mini + dureeBalayage[gti2.baseDeTemps];
     TempsPaintBox.invalidate;
     PanelDuree.visible := gti2.baseDeTemps>b5;
     PanelDuree.caption := '';
     avecSegment := (monocoupCB.checked or not monocoupCB.visible) and
          (gti2.baseDeTemps>b100m);
     avecSegmentLabel.caption := TexteAvecSegment[avecSegment];
     if (dureeBalayage[gti2.baseDeTemps]>10) and
         monoForcePermis then monocoupCB.checked := true;
     grapheOsc.monocoup := MonocoupCB.visible and MonocoupCB.checked;         
     if monocoupCB.visible and
        not monocoupCB.checked and
        gti2.isOpen then lanceAcq;
  end;
end;

procedure TGTI2MainForm.SynchroRGClick(Sender: TObject);
var newSynchro : integer;
begin
    if initialisation then exit;
    newSynchro := synchroRG.itemIndex;
    if (newSynchro>0) and not gti2.active[newSynchro-1]
        then synchroRG.itemIndex := gti2.voieSynchro
              // Synchro sur voie non active interdit
        else if gti2.voieSynchro<>synchroRG.itemIndex then afficheReglage;
    edit1.setFocus;
end;

procedure TGTI2MainForm.SelectGTS2btnClick(Sender: TObject);
begin
    debutLectureParametres;
    if toutesVoiesDlg.showModal=mrOK
       then afficheReglage
       else finLectureParametres;
end;

procedure TGTI2MainForm.SensRGClick(Sender: TObject);
begin
    if gti2.montant<>(sensRG.itemIndex=1) and
       not initialisation then afficheReglage;
end;

procedure TGTI2MainForm.FormActivate(Sender: TObject);

Procedure ReadFormPlacement;
var ini : Treginifile;
begin
  premiereFois := false;
  try
        Ini := TregIniFile.create(RegistreGTI2);
        WindowState := TwindowState(Ini.ReadInteger('Window','State',ord(wsMaximized)));
        Height := Ini.ReadInteger('Window','Height',height);
        Width := Ini.ReadInteger('Window','Width',width);
        Top := Ini.ReadInteger('Window','Top',top);
        Left := Ini.ReadInteger('Window','Left',left);
        Ini.free;
  except
  end;
  comBtnClick(sender);
end;

begin
   if premiereFois
      then readFormPlacement
      else 
end;

procedure TGTI2MainForm.LanceAcq;
begin
     if fermeture or
        initialisation or
        StopEnCours then begin // ??
           Header.simpleText := '';
           exit;
     end;
     if ActiveControl=nil then edit1.SetFocus;
     progressBarGTI2.position := 0;
     grapheOsc.NbreMaxi := gti2.nbrePoints;
     Header.simpleText := trWaitSynchro;
     if (gti2.baseDeTemps>b1) and
         monocoupCB.visible and
        (monocoupCB.checked) and
        (grapheOsc.Nbre>0)
       then begin
            grapheOsc.monocoup := true;
            grapheOsc.Nbre := 0;
            TempsPaintBox.invalidate;
       end;
     if gti2.GTS2permis and (gti2.nbreVoiesGTS2>0)
        then begin
            timerGTS2.enabled := true;
            timer.enabled := false;
            progressBarGTI2.max := gti2.nbreTotal+gti2.nbreGTS2;
        end
        else begin
            progressBarGTI2.max := gti2.nbreTotal;
            timer.enabled := true;
            timerGTS2.enabled := false;
        end;
     monocoupTemporaire := false;
{     if gti2.baseDeTemps>b500m
        then gti2.LanceAcquisitionManuelle
        else }
     if GBFbtn.Down and
        not(monocoupGbfCB.checked) and
        (not(gbf.enMarcheContinue) or gbf.majAfaire) then begin
           gbf.Marche;
           setLedGbf(lGreen);
     end;
     dureeMini := dureeBalayage[gti2.baseDeTemps]*1.1; // dure + 10% preAcq
     gti2.LanceAcquisition;
     AcqSuffisante := false;
     affecteStop(true);
end; // LanceAcq

procedure TGTI2MainForm.TempsPaintBoxMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);

procedure CacheCurseur;
begin
       labelX.visible := false;
       labelY.visible := false;
       shapeCurseur.visible := false;
       tempsPaintBox.cursor := crDefault;
end;

procedure AffichePosition;
var Xr,Yr : double;
    voie : indiceVoieYD;
    voie2 : indiceVoieGTS2;
    isGTS2 : boolean;
begin with GrapheOsc do
    if GetCourbeProche(x,y,voie,voie2,isGTS2) then begin
    if isGts2 then with voieGTS2[voie2] do begin
       yr := XMonde(y);
       labelX.font.color := couleur;
       labelY.font.color := couleur;
       shapeCurseur.Brush.Color := couleur;
       labelY.caption := ' '+NomValeurUnite(Yr)+' ';
    end
    else with voieOrphy[voie] do begin
       yr := XMonde(y);
       labelX.font.color := couleur;
       labelY.font.color := couleur;
       shapeCurseur.Brush.Color := couleur;
       labelY.caption := ' '+NomValeurUnite(Yr)+' ';
    end;
       xr := voieTemps.XMonde(x);
       labelX.caption := ' '+voieTemps.NomValeurUnite(Xr)+' ';
       labelX.Top := y+tempsPaintBox.top-8;
       labelX.Left := x+8;
       labelY.Left := labelX.Left;
       labelY.Top := labelX.Top+16;
       labelX.visible := true;
       labelY.visible := true;
       shapeCurseur.left := x-(shapeCurseur.width div 2);
       shapeCurseur.top := y-(shapeCurseur.height div 2)+tempsPaintBox.top;
       shapeCurseur.visible := true;
       tempsPaintBox.cursor := crCross;
    end
    else CacheCurseur
end; // AffichePosition

begin
if grapheOsc.modeAcq<>mTemps then begin
   cacheCurseur;
   exit;
end;
with grapheOsc do
   case curseur of
        curNone : begin
            if (synchroRG.itemIndex>0) and (abs(seuilAff-y)<4)
                then begin
                    TempsPaintBox.hint := hSynchro;
                    TempsPaintBox.cursor := crVsplit;
                    cacheCurseur;
                end
                else begin
                    TempsPaintBox.hint := '';
                    if avecCurseur then AffichePosition;
                end;
            Header.SimpleText := TempsPaintBox.hint;
        end;
        curSynchro : if ssLeft in Shift then begin
              cacheCurseur;
              TraceSynchro(pointCurseur.Y,false); // efface
              PointCurseur := Point(X,Y);
              TraceSynchro(pointCurseur.Y,true); // retrace
              with voieYDSynchro do
                   SeuilEdit.text := formatSynchro(Xmonde(y));
              CacheCurseur
        end;
   end;
end; // MouseMove

procedure TGTI2MainForm.TempsPaintBoxDragDrop(Sender, Source: TObject; X,
  Y: Integer);
var voie : indiceVoieGTS2;  
begin
   if source is TgroupBox then begin
      debutLectureParametres;
      voie := (source as TgroupBox).tag;
      grapheOsc.voieGTS2[voie].active := true;
      afficheReglage;
   end;
end;

procedure TGTI2MainForm.TempsPaintBoxDragOver(Sender, Source: TObject; X,
  Y: Integer; State: TDragState; var Accept: Boolean);
begin
	accept := source is TgroupBox
end;

procedure TGTI2MainForm.TempsPaintBoxMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin with grapheOsc do begin
  if modeAcq<>mTemps then exit;
  curseur := curNone;
  if (synchroRG.itemIndex>0) and
     (abs(seuilAff-y)<4) then begin
     curseur := curSynchro;
     PointCurseur := point(x,seuilAff);
     TempsPaintBox.hint := hSynchro;
     Header.SimpleText := hSynchro;
     TempsPaintBox.cursor := crVsplit;
   end;
end end;

procedure TGTI2MainForm.TempsPaintBoxMouseLeave(Sender: TObject);
begin
     labelx.visible := false;
     labely.visible := false;
end;

procedure TGTI2MainForm.TempsPaintBoxMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);

procedure affecteSynchro;
var newSeuil : double;
begin with grapheOsc.voieYDSynchro do begin
      newSeuil := Xmonde(y);
      gti2.seuilVolt := newSeuil;
      grapheOSc.seuilSynchro := gti2.seuilVolt;
      seuilEdit.text := FormatSynchro(grapheOsc.seuilSynchro);
      TempsPaintBox.refresh;
//      if monocoupCB.visible and not monocoupCB.checked then afficheReglage;
end end;

begin
   if grapheOsc.modeAcq<>mTemps then exit;
   if curseur=curSynchro then affecteSynchro;
   TempsPaintBox.hint := '';
   Header.SimpleText := '';
   TempsPaintBox.cursor := crDefault;
   curseur := curNone;
end;

procedure TGTI2MainForm.ModeBtnClick(Sender: TObject);
begin
     (sender as TtoolButton).CheckMenuDropdown
end;

procedure TGTI2MainForm.MonocoupCBClick(Sender: TObject);
begin
    if initialisation then exit;
    EnregistreBtn.Enabled := monocoupCB.checked or
                            (synchroRG.itemIndex=0);
//  gbf.Monocoup := monocoupCB.Checked or (synchroRG.ItemIndex=0);
    if not monocoupCB.checked and
       (synchroRG.itemIndex>0) and
       not StopEnCours then begin
          PremierTrace := true;
          EnregistreBtnClick(sender);
       end;
    if monocoupCB.checked then stopBtnClick(sender);
    if not monocoupCB.checked and
      (dureeBalayage[gti2.baseDeTemps]>10) 
       then monoForcePermis := false;
    avecSegment := (monocoupCB.checked or not monocoupCB.visible) and
         (gti2.baseDeTemps>b100m);
    avecSegmentLabel.caption := TexteAvecSegment[avecSegment];
    grapheOsc.monocoup := MonocoupCB.visible and MonocoupCB.checked;    
    edit1.setFocus;
end;

procedure TGTI2MainForm.TimerTimer(Sender: TObject);
var oldNbre,newNbre : integer;
    dt : double;

procedure TestSegment;
var voie : indiceVoieYD;
    duree : double;
begin
      if (gti2.baseDeTemps>b500m) and
         ((newNbre-oldNbre)*dt>DeltatLent) then begin
              grapheOsc.Nbre := newNbre;
              gti2.GetValeurTemps(grapheOsc.voieTemps.vecteurAff);
              Duree := grapheOsc.voieTemps.vecteurAff[pred(grapheOsc.Nbre)];
              PanelDuree.Caption := TimeToStr(duree/SecsPerDay);
              for voie := low(indiceVoieYD) to high(indiceVoieYD) do
                  with grapheOsc.VoieOrphy[voie] do
                       if active then
                          gti2.GetValeurVoie(voie,vecteurAff);
              if grapheOsc.verifPente
                 then if grapheOsc.penteCorrecte
                    then begin
                        grapheOsc.traceFragments(oldNbre);
                        oldNbre := grapheOsc.Nbre;
                    end
                    else begin
                       EnregistreBtnClick(nil); // nouvel essai
                       exit;
                   end
                 else begin
                      grapheOsc.traceFragments(oldNbre);
                      oldNbre := grapheOsc.Nbre;
                 end;
              if (duree>dureeMini) then begin
                    grapheOsc.setOrigineTemps;
                    AcqSuffisante := grapheOsc.seuilTrouve and
                       (grapheOsc.voieTemps.vecteurAff[pred(grapheOsc.Nbre)]>
                       dureeBalayage[gti2.baseDeTemps]);
              end;
     end;
end;

procedure TestClavier;
var voie : indiceVoieYD;
    duree : double;
begin
      if (gti2.baseDeTemps>b1) and
         ((newNbre-oldNbre)*dt>DeltatLent) then begin
              grapheOsc.Nbre := newNbre;
              gti2.GetValeurTemps(grapheOsc.voieTemps.vecteurAff);
              Duree := grapheOsc.voieTemps.vecteurAff[pred(grapheOsc.Nbre)];
              PanelDuree.Caption := TimeToStr(duree/SecsPerDay);
              for voie := low(indiceVoieYD) to high(indiceVoieYD) do
                  with grapheOsc.VoieOrphy[voie] do
                       if active then
                          gti2.GetValeurVoie(voie,vecteurAff);
              grapheOsc.traceFragments(oldNbre);
              oldNbre := grapheOsc.Nbre;
     end;
end;

Procedure TestFini;
var duree : double;
begin
   if (gti2.baseDeTemps>b500m) then begin
       grapheOsc.NbreTest := newNbre;
       gti2.GetValeurTemps(grapheOsc.vecteurTestT);
       Duree := grapheOsc.vecteurTestT[pred(grapheOsc.NbreTest)];
       if (duree>dureeMini) then begin
          gti2.GetValeurVoie(grapheOsc.voieSynchro-1,grapheOsc.vecteurTestS);
          grapheOsc.TestSeuil;
          AcqSuffisante := grapheOsc.seuilTrouve and
               (grapheOsc.vecteurTestT[pred(grapheOsc.NbreTest)]>
                dureeBalayage[gti2.baseDeTemps]);
       end;
   end;
end;

var voie : indiceVoieYD;
begin
    if stopEnCours then begin
       timer.Enabled := false;
       oldNbre := grapheOsc.Nbre;
       dt := 1/gti2.freqEch;
       while gti2.getResul and
             not(gti2.acqTerminee) and
             not(acqSuffisante) and
             StopEnCours and
             not(fermeture) do begin
           newNbre := gti2.nbreCourant;
           progressBarGTI2.position := newNbre;
           if synchroRG.itemIndex>0 then
              if avecSegment then testSegment else testFini
              else testClavier;
           Application.ProcessMessages;
       end;
       if fermeture or not(StopEnCours) then exit;
       if gti2.acqTerminee or AcqSuffisante then begin
           progressBarGTI2.position := progressBarGTI2.max;
           gti2.GetValeurTemps(grapheOsc.voieTemps.vecteurAff);
           if gti2.acqTerminee
              then grapheOsc.Nbre := gti2.nbreTotal
              else grapheOsc.Nbre := gti2.nbreCourant;
           for voie := low(indiceVoieYD) to high(indiceVoieYD) do
               if grapheOsc.VoieOrphy[voie].active then
                  gti2.GetValeurVoie(voie,grapheOsc.voieOrphy[voie].vecteurAff);
           if (grapheOsc.voieSynchro>0) // and grapheOsc.preTrig
                 then begin
                     grapheOsc.setOrigineTemps;
                     if grapheOsc.verifPente and
                        not grapheOsc.penteCorrecte then begin
                           PremierTrace := false;
                           EnregistreBtnClick(nil); // nouvel essai
                           exit;
                     end;
                 end;
           if grapheOsc.pretrig
              then grapheOsc.voieTemps.Mini := -dureeBalayage[gti2.baseDeTemps]/10
              else grapheOsc.voieTemps.Mini := 0;
           gti2.etalonnage := false;   
           grapheOsc.voieTemps.Maxi := grapheOsc.voieTemps.Mini + dureeBalayage[gti2.baseDeTemps];
           TempsPaintBox.invalidate;
           if autosetEnCours
              then autoset
              else if gti2.gts2Permis and reconnaissance then afficheReglage
              else if monocoupCB.Checked or
                     (synchroRG.itemIndex=0) or
                     monocoupTemporaire
                   then affecteStop(false)
                   else begin
                      PremierTrace := false;
                      stopEnCours := false;
                      EnregistreBtnClick(nil);
                   end;
        end // gti.acqTerminee
        else timer.Enabled := true;   
    end; // stopEnCours
end; // timerTimer

procedure TGTI2MainForm.MajGBF(etat : TledGBF);
begin
   setLedGbf(etat);
   AmplitudeGB.visible := signalRG.itemIndex<ord(sArbitraire);
   DutyGB.visible := (signalRG.itemIndex=ord(sTriangle)) or
                     (signalRG.itemIndex=ord(sCarre));
   OffsetGB.visible := not (Tsignal(signalRG.itemIndex) in [sArbitraire]);
   OffsetNulBtn.visible := signalRG.itemIndex<ord(sArbitraire);
   ExpressionPanel.Visible := signalRG.itemIndex=ord(sArbitraire);
   FrequencePanel.Visible := signalRG.itemIndex<ord(sContinu);
   OffsetEdit.text := tension.formatSimple(OffsetScroll.position*10/OffsetScroll.max);
   DutyEdit.text := IntToStr(DutyScroll.position)+'%';
   AmplitudeEdit.text := tension.formatSimple(AmplitudeScroll.position*10/AmplitudeScroll.max);
   monocoupGBFCB.visible := signalRG.itemIndex<>ord(sContinu);
   monoGBFBtn.visible := monocoupGBFCB.visible and monocoupGBFCB.checked;  
   if signalRG.itemIndex=ord(sContinu)
      then offsetGB.Caption := 'Niveau (V)'
      else offsetGB.Caption := 'Dcalage (V)';
   compteurGBF := 0;
   gbfPanel.refresh;
   GBFPB.refresh;
end;

procedure TGTI2MainForm.signalRGClick(Sender: TObject);
begin
   if not initialisation then MajGBF(lRed);
end;

procedure TGTI2MainForm.DB15Click(Sender: TObject);
var voie : indiceVoieGTS2;
begin
    DebutLectureParametres;
    if etalonneAutoDlg=nil then
       Application.CreateForm(TEtalonneAutoDlg, EtalonneAutoDlg);
    voie := (sender as Tcontrol).tag;
    if voie<voieG then exit;
    etalonneAutoDlg.voieCourante := voie;
    etalonneAutoDlg.showModal;
    with grapheOsc.voieGTS2[voie] do begin
         speedVoie.Visible := ListeCapteursAuto[indexCapteurAuto].avecEtalonnage;
         speedVoie.down := etalonnageFait;
    end;
    finLectureParametres;
end;

procedure TGTI2MainForm.SpeedButton5Click(Sender: TObject);
var diminue : boolean;
    posP : integer;
    freq : double;
    deltaFreq : double;
begin
    diminue := (sender as TspeedButton).top>16;
    freq := strToFloatWin(LCD10k.value);
    if labelHz.caption='kHz' then freq := freq*1000;
    posP := pos('.',LCD10k.value);
    if posP>0 then posP := 5-posP; //  partir de la fin
    deltaFreq := dix((sender as TspeedButton).tag-posP);
    if labelHz.caption='kHz' then deltafreq := deltafreq*1000;    
    if diminue
       then begin
           freq := freq-deltaFreq;
           if freq<FreqMinGBF then begin // passage de 1  0
              freq := freq+deltaFreq-deltaFreq/10; // diminution de la dcade suivante
              if freq<FreqMinGBF then // passage de 1  0 aussi ! (ou de 0  -1 !)
                 freq := freq+10*deltaFreq/10; // passage  9 de la dcade suivante
           end;
           if freq<FreqMinGBF then freq := FreqMinGBF;
       end
       else begin
           Freq := freq+deltaFreq;
           if Freq>FreqMaxGBF then freq := FreqMaxGBF;
       end;
    gbf.Frequence := freq;
    affecteFreqGBF(gbf.frequence); // valeurExacte
    gbf.calculValeur;
    FrequenceTB.position := round((FrequenceTB.Max+1)*(log10(freq)+1.7)/7.7);
// de log(0.02)=-1.7  log(1 MHZ)=6
    compteurGBF := 0;
    gbf.MajAFaire := true;
    setLedGBF(lRed);
end; // changement de frquence

procedure TGTI2MainForm.GbfPBPaint(Sender: TObject);
var freq : double;
begin
     if frequencePanel.visible then begin
        freq := strToFloatWin(LCD10k.value);
        if labelHz.caption='kHz' then freq := freq*1000;
        gbf.Frequence := freq;
     end;
     gbf.signal := Tsignal(signalRG.ItemIndex);
     gbf.expression := ExpressionEdit.text;
     gbf.amplitude := AmplitudeScroll.position*10/AmplitudeScroll.max; // +- 10 V
     gbf.offset := OffsetScroll.position*10/OffsetScroll.max;
     gbf.Duty := DutyScroll.position/100;
     gbf.calculValeur;
     gbf.Paint(GBFpb.canvas,GBFpb.width,GBFpb.height);
     if frequencePanel.visible then
        affecteFreqGBF(gbf.frequence); // valeur exacte de la frquence
end;

procedure TGTI2MainForm.GbfBtnClick(Sender: TObject);
begin
     gbfPanel.visible := gbfBtn.down;
     if not gbfPanel.visible then gbf.arret;
     compteurGBF := 0;
     timerGBF.Enabled := gbfPanel.visible;
     majBtn.visible := false;
     gbfPanel.refresh;
     TempsPaintBox.invalidate;
end;

procedure TGTI2MainForm.MajBtnClick(Sender: TObject);
begin
     monocoupGBFCB.visible := signalRG.itemIndex<>ord(sContinu);
     MajGBF(lGreen);
     application.ProcessMessages;
     compteurGBF := 0;
     gbf.monocoup := monocoupGBFCB.checked;
     monoGBFBtn.visible := monocoupGBFCB.visible and monocoupGBFCB.checked;
     if not monoGBFBtn.visible then
        if stopEnCours
           then gbf.majAfaire := true
           else gbf.marche;
     edit1.SetFocus;
end;

procedure TGTI2MainForm.ExpressionEditChange(Sender: TObject);
begin
     MajBtn.Enabled := true;
end;

procedure TGTI2MainForm.ExpressionEditKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
    if key=vk_return
       then begin
           if gbf.expression<>ExpressionEdit.text then MajBtnClick(sender)
       end
       else SetLedGBF(lGray)
end;

procedure TGTI2MainForm.voieBNCClick(Sender: TObject);
var voie : indiceVoieYD;
begin
     voie := (sender as Tcomponent).tag;
     if OrphyGti2Dlg=nil then Application.CreateForm(TOrphyGti2Dlg, OrphyGti2Dlg);
     OrphyGti2Dlg.voieCourante := grapheOsc.voieOrphy[voie];
     OrphyGti2Dlg.calibre := Tcalibre(grapheOsc.voieOrphy[voie].calibreUD.position);     
     if OrphyGti2Dlg.ShowModal=mrOK then afficheReglage;
end;

procedure TGTI2MainForm.voieGTS2Click(Sender: TObject);
var voie : indiceVoieGTS2;
begin
     debutLectureParametres;
     voie := (sender as Tcomponent).tag;
     if OrphyGTS2Dlg=nil then
         Application.CreateForm(TOrphyGTS2Dlg, OrphyGTS2Dlg);
     OrphyGts2Dlg.voieCourante := grapheOsc.voieGTS2[voie];
     if OrphyGts2Dlg.ShowModal in [mrOK,mrCancel]
        then afficheReglage
        else finLectureParametres;
end;

procedure TGTI2MainForm.Pointparpoint1Click(Sender: TObject);
begin
    afficheReglage;
end;

procedure TGTI2MainForm.PreAcqCBClick(Sender: TObject);
var newPreAcq : boolean;
begin
    newPreAcq := preAcqCB.visible and preAcqCB.checked;
    if grapheOsc.preTrig=newPreAcq then exit;
    grapheOsc.pretrig := newPreAcq;
//    grapheOsc.preTrig := gti2.preTrig;
    if not initialisation and
       monocoupCB.visible and
       not monocoupCB.checked
          then AfficheReglage
          else begin
              grapheOsc.preTrig := preAcqCB.checked;
              if grapheOsc.pretrig
                 then grapheOsc.voieTemps.Mini := dureeBalayage[gti2.baseDeTemps]/10
                 else grapheOsc.voieTemps.Mini := 0;
              TempsPaintBox.invalidate;
          end
end;

procedure TGTI2MainForm.PrintBtnClick(Sender: TObject);
begin
	printer.beginDoc;
 	printer.endDoc;
end;

procedure TGTI2MainForm.Shape1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
      var voie : indiceVoieYD;
begin
     DebutLectureParametres;
     voie := (sender as Tcomponent).tag;
     if OrphyGti2Dlg=nil then Application.CreateForm(TOrphyGti2Dlg, OrphyGti2Dlg);
     OrphyGti2Dlg.voieCourante := grapheOsc.voieOrphy[voie];
     if (OrphyGti2Dlg.ShowModal=mrOK) or
          OrphyGti2Dlg.modifZero
              then afficheReglage
              else finLectureParametres;
end;

procedure TGTI2MainForm.Shape4GTS2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var voie : indiceVoieGTS2;
begin
     DebutLectureParametres;
     voie := (sender as Tcomponent).tag;
     if OrphyGts2Dlg=nil then Application.CreateForm(TOrphyGts2Dlg, OrphyGts2Dlg);     
     OrphyGts2Dlg.voieCourante := grapheOsc.voieGTS2[voie];
     if (OrphyGts2Dlg.ShowModal=mrOK) 
          then afficheReglage
          else finLectureParametres;
end;

procedure TGTI2MainForm.RadioGroup1Click(Sender: TObject);
var voie : indiceVoieYD;
    newActive : boolean;
    newDiff,modif : boolean;
begin
   if initialisation then exit;
   voie := (sender as TradioGroup).tag;
   newDiff := (sender as TradioGroup).itemIndex=0;
   newActive := (sender as TradioGroup).itemIndex<2;
   modif := (newActive<>gti2.active[voie]) or
            (newDiff<>gti2.differentiel[voie]);
   case (sender as TradioGroup).itemIndex of
          0 : begin
             synchroRG.Items[voie+1] := 'YD'+intTostr(voie);
             abscisseRG.Items[voie] := 'YD'+intTostr(voie);
          end;
          1 : begin
             synchroRG.Items[voie+1] := 'Y'+intTostr(voie)+' BNC';
             abscisseRG.Items[voie] := 'Y'+intTostr(voie)+' BNC';
          end;
          2 : begin
             synchroRG.Items[voie+1] := '';
             abscisseRG.Items[voie] := '';
          end;
   end;
   if modif then if initialisation
       then begin
           gti2.differentiel[voie] := newDiff;
           grapheOsc.voieOrphy[voie].active := newActive;
       end
       else begin
           if stopEnCours then stopBtnClick(sender);
           gti2.differentiel[voie] := newDiff;
           grapheOsc.voieOrphy[voie].active := newActive;
           afficheReglage;
       end
end;

procedure TGTI2MainForm.RadioGroup4GTS2Click(Sender: TObject);
var voie : indiceVoieYD;
    newActive : boolean;
    modif : boolean;
begin
   if initialisation then exit;
   voie := (sender as TradioGroup).tag;
   newActive := (sender as TradioGroup).itemIndex<2;
   modif := (newActive<>gti2.activeGTS2[voie]);
   if modif then begin
       grapheOsc.voieGTS2[voie].active := newActive;
       if not initialisation then begin
           if stopEnCours then stopBtnClick(sender);
           afficheReglage;
       end;
   end;
end;

procedure TGTI2MainForm.ComBtnClick(Sender: TObject);
begin
    OrphyAbsent.Visible := not gti2.open;
    ToolBar1.enabled := not OrphyAbsent.Visible;
    if gti2.isOpen then begin
       gti2.getReco; // plante ?
       Reconnaissance;
       afficheReglage
    end;
end;

procedure TGTI2MainForm.SetLedGBF(etat : TledGBF);
var numero : integer;
    abitmap : Tbitmap;
begin
       ledGBF := etat;
       majBtn.Visible := ledGBF<>lGreen;
       majArbitrBtn.Visible := (ledGBF<>lGreen) and (gbf.expression<>ExpressionEdit.text);
       timerGBF.Enabled := (ledGBF<>lGreen) and GBFPanel.visible;
       case LedGBF of
            lGray : numero := 16;
            lRed : numero := 14;
            else numero := 15;
       end;
       if ledGBF=lGreen
          then majBtn.Hint := 'GBF OK'
          else majBtn.Hint := 'MJ|Cliquer pour mettre  jour le GBF';
       abitmap := Tbitmap.Create;
       ImageList.GetBitmap(numero,abitmap);
       MajBtn.Glyph := abitmap;
       MajArbitrBtn.Glyph := abitmap;
       case LedGBF of
            lGray : MajArbitrBtn.Font.color := clGray;
            lRed : MajArbitrBtn.Font.color := clRed;
            else MajArbitrBtn.Font.color := clGreen;
       end;
       if stopEnCours then gbf.majAfaire := LedGBF<>lGreen;
       MajBtn.refresh;
       MajArbitrBtn.refresh;
end;

procedure TGTI2MainForm.OffsetNulBtnClick(Sender: TObject);
begin
   offsetSCroll.Position := 0;
   MajBtnClick(sender);
end;

procedure TGTI2MainForm.Duty50BtnClick(Sender: TObject);
begin
   DutyScroll.Position := 50;
   MajBtnClick(sender)
end;

procedure TGTI2MainForm.ExpressionEditExit(Sender: TObject);
begin
    if gbf.expression<>ExpressionEdit.text then MajBtnClick(sender)
end;

procedure TGTI2MainForm.OffsetScrollScroll(Sender: TObject;
  ScrollCode: TScrollCode; var ScrollPos: Integer);
begin
    if scrollCode=scEndScroll then majBtnClick(sender)
end;

procedure TGTI2MainForm.Autoset;
const NzeroMin = 3;
var nouvelEssai : boolean;
   valMin,valMax,zero : array[indiceVoieYD] of double;
   Nzero : array[indiceVoieYD] of integer;
   NzeroMax : integer;
   ValeurMax : double;
   Nvoie : integer;

Procedure testVoie(voie : indiceVoieYD);
var i : indicevecteur;
    IsNegatif : boolean;
    Hyst,zz : double;
begin with grapheOsc,voieOrphy[voie] do begin
      valMax[voie] := vecteurAff[0];
      valMin[voie] := vecteurAff[0];
      for i := 1 to pred(Nbre) do begin
          zz := vecteurAff[i];
          if zz>valMax[voie] then valMax[voie] := zz;
          if zz<valMin[voie] then valMin[voie] := zz;
      end;
      zero[voie] := (valMin[voie]+valMax[voie])/2;
      Nzero[voie] := 0;
      Hyst := (valMax[voie]-valMin[voie])/4;
      if Hyst>Maxi/128 then begin
          isNegatif := vecteurAff[0]<(zero[voie]-Hyst);
          for i := 1 to pred(Nbre) do
              if isNegatif
                 then begin
                     isNegatif := vecteurAff[i]<(zero[voie]+Hyst);
                     if not isNegatif then inc(Nzero[voie]);
                 end
                 else begin
                     isNegatif := vecteurAff[i]<(zero[voie]-Hyst);
                     if isNegatif then inc(Nzero[voie]);
                 end;
      end;
      NouvelEssai := NouvelEssai and (Nzero[voie]<NzeroMin);
end end;

Procedure setVoie(voie : indiceVoieYD);
var margeV : double;
    AbsMax : double;
    calibre : Tcalibre;
begin with grapheOsc,voieOrphy[voie] do begin
      active := (valmax[voie]-valmin[voie])>0.2;
      gti2.active[voie] := active;
      margeV := (valMax[voie]-valMin[voie])/25;
      zeroCB.Checked := valMin[voie]>(-margeV);
      if Abs(valMax[voie])>Abs(valMin[voie])
         then AbsMax := Abs(valMax[voie])
         else AbsMax := Abs(valMin[voie]);
      calibre := c50m;
      while (calibre<high(Tcalibre)) and
            (valeurCalibre[calibre]<AbsMax) do inc(calibre);
      calibreUD.position := ord(calibre);
      if not active
         then diffRG.itemIndex := 2
         else if gti2.differentiel[voie]
              then diffRG.itemIndex := 0
              else diffRG.itemIndex := 1;
      if active then
         if Nzero[voie]>NzeroMax then begin
            NzeroMax := Nzero[voie];
            voieSynchro := voie+1;
            synchroRG.itemIndex := voieSynchro;
            gti2.VoieSynchro := voieSynchro;
            gti2.SeuilVolt := zero[voie];
            valeurMax := absMax;
         end;
         if (Nzero[voie]=NzeroMax) and (absMax>valeurMax) then begin
            NzeroMax := Nzero[voie];
            voieSynchro := voie+1;
            synchroRG.itemIndex := voieSynchro;
            gti2.VoieSynchro := voieSynchro;
            gti2.SeuilVolt := zero[voie];
            valeurMax := absMax;
         end;
      case diffRg.itemIndex of
          0 : synchroRG.Items[voie+1] := 'YD'+intTostr(voie);
          1 : synchroRG.Items[voie+1] := 'Y'+intTostr(voie)+' BNC';
          2 : synchroRG.Items[voie+1] := '';
      end;
      if active then inc(Nvoie);
end end; // setVoie (auto)

procedure AutosetBNC;
var voie : indiceVoieYD;
begin with grapheOsc do begin
      Timer.enabled := false;
      voieSynchro := 0;
      if Nvoie=0 then gti2.baseDeTemps := b10mu; // 10 s
      gti2.voieSynchro := 0;      
      for voie := low(indiceVoieYD) to high(indiceVoieYD) do
          with voieOrphy[voie] do begin
           if not active then begin // sinon YD trouv
              active := true;
              gti2.active[voie] := true;
              gti2.differentiel[voie] := false; // BNC
              gti2.calibre15V[voie] := true;
              mini := -15;
              maxi := +15;
           end;
      end;
      autoSetEnCours := true;
      autoSetYD := false;
      EnregistreBtn.Enabled := false;
      stopEnCours := false;
      lanceAcq;
end end;

var voie : indiceVoieYD;
begin with grapheOsc do begin
    nouvelEssai := gti2.baseDeTemps<b500m; // 0,5 s
    for voie := low(indiceVoieYD) to high(indiceVoieYD) do testVoie(voie);
    if NouvelEssai
      then begin
         gti2.baseDeTemps := succ(gti2.baseDeTemps);
         EnregistreBtn.Enabled := false;
         stopEnCours := false;
         lanceAcq;
      end
      else begin
          initialisation := true;
          NzeroMax := Nzero[0];
          Nvoie := 0;
          ValeurMax := abs(valMax[0]);
          if valeurMax<Abs(valMin[0])
             then valeurMax := Abs(valMin[0]);
          autoSetEnCours := false;
          gti2.VoieSynchro := 1;
          gti2.SeuilVolt := zero[0];
          for voie := low(indiceVoieYD) to high(indiceVoieYD) do setVoie(voie);
          synchroRG.itemIndex := gti2.VoieSynchro;
          grapheOsc.seuilSynchro := gti2.seuilVolt;
          monocoupCB.Checked := false;
          DureeUpDown.position := ord(gti2.baseDeTemps);
          initialisation := false;
          if (Nvoie<2) and autosetYD
            then autosetBNC
            else AfficheReglage;
      end;
end end; // AutoSet

procedure TGTI2MainForm.AutosetBtnClick(Sender: TObject);
var voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
begin with grapheOsc do begin
      for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
          voieGTS2[v2].active := false;
      if gti2.gts2Permis then reconnaissance;
      Timer.enabled := false;
      if stopEnCours then stopBtnClick(sender);
      voieSynchro := 0;
      gti2.baseDeTemps := b10mu; // 10 s
      gti2.voieSynchro := 0;      
      for voie := low(indiceVoieYD) to high(indiceVoieYD) do with voieOrphy[voie] do begin
           active := true;
           gti2.active[voie] := true;
           gti2.differentiel[voie] := true;
           gti2.calibre15V[voie] := true;         
           mini := -15;
           maxi := +15;
      end;
      autoSetEnCours := true;
      autoSetYD := true;
      lanceAcq;
end end;

procedure TGTI2MainForm.TimerGBFTimer(Sender: TObject);
begin
  inc(compteurGBF);
  if (compteurGBF*TimerGBF.Interval>2000) and
      majBtn.Visible then
      if Tsignal(signalRG.itemIndex) in [sContinu,sArbitraire]
          then gbf.MajAFaire := true
          else majBtnClick(sender);
  if GBFPanel.Visible and (ledGBF in [lGray,lRed]) then
       if LedGBF=lGray then setLedGBF(lRed) else setLedGBF(lGray)
end;

procedure TGTI2MainForm.TimerGTS2Timer(Sender: TObject);

procedure AttenteGTS2;
begin
       while gti2.getResulGTS2 and
             StopEnCours and
             not(fermeture) do begin
                 progressBarGTI2.position := gti2.nbreCourantGts2;
                 Application.ProcessMessages;
       end;
end;

procedure AttenteGTI2;
begin
       while gti2.getResul and
             not(gti2.acqTerminee) and
             StopEnCours and
             not(fermeture) do begin
           progressBarGTI2.position := gti2.nbreGTS2+gti2.nbreCourant;
           Application.ProcessMessages;
       end;
end;

var voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
begin
    if stopEnCours then begin
       timerGTS2.Enabled := false;
       if not(gti2.acqGTS2Terminee) then AttenteGTS2;
       if fermeture or
          not(StopEnCours) then exit;
       if not(gti2.acqGTS2Terminee) then begin
          timerGTS2.Enabled := true;
          exit;
       end;
       AttenteGTI2;
       if fermeture or
          not(StopEnCours) then exit;
       if gti2.acqTerminee then begin
           progressBarGTI2.position := progressBarGTI2.max;
           gti2.GetValeurTemps(grapheOsc.voieTemps.vecteurAff);
           grapheOsc.Nbre := gti2.nbreTotal;
           grapheOsc.NbreGTS2 := gti2.nbreGTS2;
           for voie := low(indiceVoieYD) to high(indiceVoieYD) do
               if grapheOsc.VoieOrphy[voie].active then
                  gti2.GetValeurVoie(voie,grapheOsc.voieOrphy[voie].vecteurAff);
           grapheOsc.setOrigineTemps;
{
           if grapheOsc.verifPente and
              not grapheOsc.penteCorrecte then begin
                  EnregistreBtnClick(nil); // nouvel essai
                  exit;
           end;
}           
           gti2.GetValeurTempsGTS2(grapheOsc.voieTempsGTS2.vecteurAff);
           for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
               if grapheOsc.VoieGTS2[v2].active then begin
                  gti2.GetValeurVoieGTS2(v2,grapheOsc.voieGTS2[v2].vecteurVolt);
                  grapheOsc.voieGTS2[v2].SetVecteurAff;
               end;
           grapheOsc.setOrigineGTS2;
           grapheOsc.voieTemps.Mini := 0;
           gti2.etalonnage := false;   
           grapheOsc.voieTemps.Maxi := dureeBalayage[gti2.baseDeTemps];
           TempsPaintBox.invalidate;
           if reconnaissance then afficheReglage
           else if monocoupCB.Checked or
             (synchroRG.itemIndex=0) or
             monocoupTemporaire
                then affecteStop(false)
                else begin
                   stopEnCours := false;
                   EnregistreBtnClick(nil);
                end;
        end // gti.acqTerminee
        else timerGTS2.Enabled := true;
    end; // stopEnCours
end; // timerGTS2

procedure TGTI2MainForm.TimerPointTimer(Sender: TObject);
var voie : indiceVoieYD;
    voie2 : indiceVoieGTS2;
    zi : integer;
begin with grapheOsc do begin
    if fermeture or (modeAcq=mTemps) then exit;
    timerPoint.Enabled := false;
    gti2.LanceAcqLente;
    sleep(10);
    gti2.stopAcqLente;
    for voie := low(indiceVoieYD) to high(indiceVoieYD) do
        voieOrphy[voie].valeurCourante := gti2.valeurPoint[voie];
    gti2.openGTS2;
    for voie2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
        with voieGTS2[voie2] do if active then begin
           zi := Gti2.getInt('WEA '+intToStr(numero));
           valeurCourante := valeurReal(zi);
        end;
    gti2.closeGTS2;
    effacePointCourant;
    for voie := low(indiceVoieYD) to high(indiceVoieYD) do
        with voieOrphy[voie] do if active then
             valeurAff := valeurCourante;
    for voie2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
        with voieGTS2[voie2] do if active then 
             valeurAff := valeurCourante;
    marquePointCourant;
    if ActiveControl=nil then edit1.SetFocus;
    timerPoint.Enabled := not fermeture;
end end;
// timer point par point

procedure TGTI2MainForm.SeuilEditKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    if key=vk_return then SeuilEditExit(Sender);
end;

procedure TGTI2MainForm.SeuilEditExit(Sender: TObject);
var newSeuil : double;
begin
    try
       newSeuil := strToFloatWin(Seuiledit.text);
       gti2.seuilVolt := newSeuil;
       grapheOsc.seuilSynchro := gti2.seuilVolt;
    except
    end;
    if monocoupCB.visible and not monocoupCB.checked then afficheReglage;
end;

procedure TGTI2MainForm.EnregistreBtnClick(Sender: TObject);
begin
   case grapheOsc.modeAcq of
      mPointParPoint : enregistrePointCourant;
      mTemps : if stopEnCours
        then stopBtnClick(sender)
        else begin
        if synchroRG.itemIndex=0 then premierTrace := true;
        EnregistreBtn.enabled := false;
        if PremierTrace and
           (gti2.baseDeTemps>b1) and
           (grapheOsc.Nbre>0) then begin
              grapheOsc.Nbre := 0;
              TempsPaintBox.invalidate;
        end;
        lanceAcq;
     end;
     mClavier : ;
   end;
end;

procedure TGTI2MainForm.CheckBox10Click(Sender: TObject);
var voie : indiceVoieYD;
begin
    if not initialisation then begin
       voie := (sender as TcheckBox).tag;
       with grapheOsc.voieOrphy[voie] do begin
            if (sender as TcheckBox).checked
               then mini := 0
               else mini := -maxi;
            setMinMax;
       end;
       TempsPaintBox.invalidate;
   end;
end;

procedure TGTI2MainForm.CheckBox4gts2Click(Sender: TObject);
var voie : indiceVoieGTS2;
begin
    if not initialisation then begin
       voie := (sender as TcheckBox).tag;
       with grapheOsc.voieGTS2[voie] do begin
            if (sender as TcheckBox).checked
               then mini := 0
               else mini := -maxi;
            setMinMax;
       end;
       TempsPaintBox.invalidate;
   end;
end;

procedure TGTI2MainForm.CheckBox8Click(Sender: TObject);
var voie : indiceVoieGTS2;
    newActive : boolean;
begin
   voie := (sender as TcheckBox).tag;
   newActive := (sender as TcheckBox).checked;
   if (newActive<>gti2.activeGTS2[voie]) then begin
       gti2.activeGTS2[voie] := newActive;
       grapheOsc.voieGTS2[voie].active := newActive;
       if not initialisation then begin
          if stopEnCours then stopBtnClick(sender);
          afficheReglage;
       end
   end;
end;

procedure TGTI2MainForm.Clavier1Click(Sender: TObject);
begin
    afficheReglage;
end;

procedure TGTI2MainForm.ClavierGBClick(Sender: TObject);
begin
    DebutLectureParametres;
    ClavierDlg := TClavierDlg.create(self);
    ClavierDlg.showModal;
    ClavierDlg.free;
    finLectureParametres;
end;

procedure TGTI2MainForm.ClavierGridExit(Sender: TObject);
begin
   if grapheOsc.modeAcq=mClavier then setValeurClavier(true)
end;

procedure TGTI2MainForm.ClavierGridGetEditText(Sender: TObject; ACol,
  ARow: Integer; var Value: string);
var Acourbe : Tcourbe;
    i : integer;
begin
   if acol=0
      then Acourbe := entreeClavier
      else Acourbe := voieOrphyClavier[acol-1];
  if arow=0
     then value := Acourbe.nom
     else begin
        i := arow-1;
        if i>=grapheOsc.Nbre
            then value := ''
            else value := Acourbe.AffGrid(i)
     end;

end;

procedure TGTI2MainForm.ClavierGridKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    if key=vk_return then setValeurClavier(false)
end;

procedure TGTI2MainForm.ClavierGridKeyPress(Sender: TObject; var Key: Char);
begin
with ClavierGrid do
    if (col=0) and(row>0)
        then if key in [',','.']
           then key := decimalSeparator
           else begin
              if not ( key in (ChiffreWin+ToucheEdition) ) then key := #0
           end
        else key := #0
end;

procedure TGTI2MainForm.ClavierGridSelectCell(Sender: TObject; ACol,
  ARow: Integer; var CanSelect: Boolean);
begin
   CanSelect := (Acol=0) and (Arow>0);
   if CanSelect then rowEdit := Arow;
end;

procedure TGTI2MainForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if key=vk_space then
      case grapheOsc.modeAcq of
        mPointParPoint : enregistreBtnClick(sender);
        mTemps : if StopEnCours
              then stopBtnClick(sender)
              else begin
                PremierTrace := true;
            enregistreBtnClick(sender)
        end
      end;
end;

procedure TGTI2MainForm.FormDestroy(Sender: TObject);
begin
    gti2.free
end;

procedure TGTI2MainForm.StopBtnClick(Sender: TObject);
begin
   progressBarGTI2.Position := 0;
   monocoupTemporaire := true;
   autoSetEnCours := false;
   gti2.stopAcquisition;
   affecteStop(false);
end;

procedure TGTI2MainForm.DeltaSeuil(signe : integer);
begin
    gti2.seuilVolt := gti2.seuilVolt+signe*deltaVSynchro;
    grapheOsc.seuilSynchro := gti2.seuilVolt;
    seuilEdit.text := FormatSynchro(grapheOsc.seuilSynchro);
    TempsPaintBox.refresh;
//    if monocoupCB.visible and not monocoupCB.checked then afficheReglage;
    edit1.setFocus;
end;

procedure TGTI2MainForm.DeltaNbreFreq(montant : boolean);
begin
    if fft.AnalyseHarmonique
       then begin
          if montant then begin
             NbreHarmoniqueAff := round(NbreHarmoniqueAff*1.41);
             if NbreHarmoniqueAff>128 then NbreHarmoniqueAff := 128;
          end
          else begin
             NbreHarmoniqueAff := round(NbreHarmoniqueAff/1.41);
             if NbreHarmoniqueAff<8 then NbreHarmoniqueAff := 8;
          end;
       end
       else begin
          if montant then begin
             NbreFreqAff := round(NbreFreqAff*1.41);
             if NbreFreqAff>1024 then NbreFreqAff := 1024;
          end
          else begin
             NbreFreqAff := round(NbreFreqAff/1.41);
             if NbreFreqAff<64 then NbreFreqAff := 64;
          end;
       end;
    TempsPaintBox.refresh;   
    FFTPaintBox.refresh;
end;

procedure TGTI2MainForm.SpinButton1DownClick(Sender: TObject);
begin
    deltaSeuil(-1)
end;

procedure TGTI2MainForm.SpinButton1UpClick(Sender: TObject);
begin
   deltaSeuil(+1)
end;

procedure TGTI2MainForm.NbreSpinDownClick(Sender: TObject);
begin
     SetNbreDDE(grapheOsc.NbreMaxi div 2)
end;

procedure TGTI2MainForm.NbreSpinUpClick(Sender: TObject);
begin
     SetNbreDDE(2*GrapheOsc.NbreMaxi)
end;

Procedure TGTI2MainForm.SetNbreDDE(newNbre : integer);
begin
    gti2.NbrePoints := newNbre;    // pas modif structure gti2
    GrapheOsc.NbreMaxi := gti2.NbrePoints;
    NbreEdit.Text := intToStr(gti2.NbrePoints);
    FechEdit.Text := frequence.formatUnite(gti2.freqEch);
    if gti2.GTS2permis and (gti2.nbreVoiesGTS2>0)
        then progressBarGTI2.max := gti2.nbreTotal+gti2.nbreGTS2
        else progressBarGTI2.max := gti2.nbreTotal;
end;

procedure TGTI2MainForm.NbreEditExit(Sender: TObject);
var newNbre : integer;
begin
     try
     newNbre := StrToInt(NbreEdit.text);
     setNbreDDE(newNbre);
     except
        NbreEdit.text := IntToStr(gti2.nbrePoints);
     end;
end;

procedure TGTI2MainForm.NbreEditKeyPress(Sender: TObject; var Key: Char);
begin
     case key of
        crCR : NbreEditExit(sender);
        '0'..'9' : ;
        crDroite,crGauche,crSuppr,crSupprArr : ;
        else key := #0;
     end;
end;

procedure TGTI2MainForm.UndoBtnClick(Sender: TObject);
begin
     if grapheOsc.Nbre>0 then begin
        dec(grapheOsc.Nbre);
        entreeClavier.vecteurAff[grapheOsc.Nbre] := sansSignif;
        TempsPaintBox.refresh;
        undoBtn.enabled := grapheOsc.nbre>0;
        resetBtn.enabled := grapheOsc.nbre>0;
        regSaveBtn.enabled := grapheOsc.nbre>2;
        if grapheOsc.modeAcq=mClavier then setFocusGrid;
     end;
end;

procedure TGTI2MainForm.UpDown0ChangingEx(Sender: TObject;
  var AllowChange: Boolean; NewValue: Smallint; Direction: TUpDownDirection);
var voie : indiceVoieYD;
    calibre : Tcalibre;
    new15 : boolean;
begin
    if not initialisation and
       allowChange and
       (NewValue>=0) and
       (NewValue<=7) then begin
       voie := (sender as Tupdown).tag;
       with grapheOsc.voieOrphy[voie] do begin
            calibre := Tcalibre(newValue);
            labelCalibre.caption := calibreStr[calibre];
            maxi := valeurCalibre[calibre];
            if zeroCB.checked
               then mini := 0
               else mini := -maxi;
            setMinMax;
            new15 := maxi>5;
       end;
       if new15=gti2.calibre15V[voie]
           then TempsPaintBox.invalidate // juste chelle graphique
           else PostMessage(handle,WM_Affiche_Reglage,0,0); // "vrai" changement de calibre
    end;
end;

procedure TGTI2MainForm.UpDown0gts2ChangingEx(Sender: TObject;
  var AllowChange: Boolean; NewValue: Smallint; Direction: TUpDownDirection);
var voie : indiceVoieGTS2;
    calibre : Tcalibre;
begin
    if not initialisation and
       allowChange and
       (NewValue>=0) and
       (NewValue<=7) then begin                              
       voie := (sender as Tupdown).tag;
       with grapheOsc.voieGTS2[voie] do begin
            calibre := Tcalibre(newValue);
            labelCalibre.caption := calibreGTS2Str[calibre];
            maxi := valeurCalibre[calibre];
            if zeroCB.checked
               then mini := 0
               else mini := -maxi;
            setMinMax;
       end;
       TempsPaintBox.invalidate;
    end;
end;

procedure TGTI2MainForm.ResetBtnClick(Sender: TObject);
var i : integer;
begin
  grapheOsc.Nbre := 0;
  for i := 0 to MaxVecteur do
      entreeClavier.vecteurAff[i] := sansSignif;
  resetBtn.Enabled := false;
  regSaveBtn.enabled := false;
  enregistreBtn.enabled := true;
  TempsPaintBox.invalidate;
  if grapheOsc.modeAcq=mClavier then setFocusGrid;
end;

procedure TGTI2MainForm.FrequenceTBScroll(Sender: TObject;
  ScrollCode: TScrollCode; var ScrollPos: Integer);
var freq : double;
begin
    freq := power(10,7.7*FrequenceTB.position/(FrequenceTB.Max+1)-1.7);
// de 10^-1.7=0.02 Hz  10^6=1 MHz 
    gbf.Frequence := freq;
    affecteFreqGBF(gbf.frequence);
    gbf.calculValeur;
    compteurGBF := 0;
    setLedGBF(lGray);
    if scrollCode=scTrack then ;
    if (scrollCode=scEndScroll) and
       majBtn.Visible then majBtnClick(sender);
end;

procedure TGTI2MainForm.RazSeuilBtnClick(Sender: TObject);
begin
  SeuilEdit.Text := '0';
  gti2.seuilVolt := 0;
  grapheOsc.seuilSynchro := 0;
  TempsPaintBox.refresh;
//  if monocoupCB.visible and not monocoupCB.checked then afficheReglage;
end;

procedure TGTI2MainForm.FFTbtnClick(Sender: TObject);
begin
    if FFTPaintBox.visible
       then begin // pas le mme ordre !
          Splitter.visible := false;
          FFTPaintBox.visible := false;
          FFTgb.Visible := false;
       end
       else begin
          FFTPaintBox.height := PanelCourbe.height div 3;
          FFTpaintBox.Visible := true;
          Splitter.visible := true;
          FFTgb.Visible := true;
       end;
end;

procedure TGTI2MainForm.FFTPaintBoxPaint(Sender: TObject);
var voie : indiceVoieYD;
    v2 : indiceVoieGTS2;
    i : integer;
begin
      if grapheOsc.Nbre<512 then begin
           FFTok := false;
           FFTPaintBox.canvas.Brush.Color := clWindow;
           FFTPaintBox.canvas.FillRect(FFTPaintBox.clientRect);
           FFTPaintBox.canvas.textOut(FFTPaintBox.width div 3,
                                      FFTPaintBox.height div 2,
                                     'Pas assez de points')
     end;
     if not fftok then exit;
     for voie := low(indiceVoieYD) to high(indiceVoieYD) do 
         with grapheFFT.voieOrphy[voie] do if active then begin
              maxi := grapheOsc.voieOrphy[voie].maxi/10;
              for i := 0 to pred(grapheFFT.NbreAff) do
                  if maxi<vecteurAff[i] then maxi := 1.05*vecteurAff[i];
         end;
     for v2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
         with grapheFFT.voieGTS2[v2] do if active then begin
              maxi := grapheOsc.voieGTS2[v2].maxi/10;
              for i := 0 to pred(grapheFFT.NbreAff) do
                  if maxi<vecteurAff[i] then maxi := 1.05*vecteurAff[i];
     end;
     grapheFFT.draw;
     if fft.AnalyseHarmonique
        then NbreFreqEdit.text := intToStr(NbreHarmoniqueAff)
        else NbreFreqEdit.text := intToStr(NbreFreqAff);
     if echelleFreq then FFTPaintBox.cursor := crHsplit;
end;

procedure TGTI2MainForm.OffsetScrollChange(Sender: TObject);
begin
   OffsetEdit.text := tension.formatSimple(OffsetScroll.position*10/OffsetScroll.max);
end;

procedure TGTI2MainForm.FFTPaintBoxMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
      if grapheFFT.isAxeX(x,y) then begin
            xCurseurEchelleFreq := x;
            FFTPaintBox.cursor := crHsplit;
            echelleFreq := true;
      end;
end; procedure TGTI2MainForm.FFTPaintBoxMouseLeave(Sender: TObject);
begin
     labelFFTx.visible := false;
     labelFFTy.visible := false;
end;

// FFT MouseDown 

procedure TGTI2MainForm.FFTPaintBoxMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
var i,v : integer;
    isGTS2 : boolean;
begin
   if echelleFreq then begin
       if (abs(x-xCurseurEchelleFreq)>8) then with grapheFFT do begin
             changeEchelleX(x,xCurseurEchelleFreq);
             grapheFFT.NbreAff := round(voieTemps.maxi/voieTemps.vecteurAff[1]);
             if analyseHarmonique
                then NbreHarmoniqueAff := grapheFFT.NbreAff
                else NbreFreqAff := grapheFFT.NbreAff;
             xCurseurEchelleFreq := x;
             FFTPaintBox.refresh;
        end;
      end
      else if avecCurseur then begin
           grapheFFT.PointProche(x,y,v,i,isGTS2);
           if i>=0 then begin
              labelFFTx.top := y+FFTPaintBox.top-32;
              labelFFTy.top := labelFFTx.Top+16;
              labelFFTx.left := x+8;
              labelFFTy.left := labelFFTx.left;
              labelFFTx.Caption := ' '+frequence.formatUnite(grapheFFT.voieTemps.vecteurAff[i])+' ';
              if isGTS2
              then with grapheFFT.voieGTS2[v] do begin
                 labelFFTy.Caption := ' '+NomValeurUnite(vecteurAff[i])+' ';
                 labelFFTx.font.color := couleur;
                 labelFFTy.font.color := couleur;
              end
              else with grapheFFT.voieOrphy[v] do begin
                 labelFFTy.Caption := ' '+NomValeurUnite(vecteurAff[i])+' ';
                 labelFFTx.font.color := couleur;
                 labelFFTy.font.color := couleur;
              end;
              labelFFTx.visible := true;
              labelFFTy.visible := true;
           end
           else begin
              labelFFTx.visible := false;
              labelFFTy.visible := false;
           end;
      end;
end; // FrequenceMouseMove 

procedure TGTI2MainForm.FFTPaintBoxMouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin 
    if echelleFreq then with grapheFFT do begin
           changeEchelleX(x,xCurseurEchelleFreq);
           grapheFFT.NbreAff := round(voieTemps.maxi/voieTemps.vecteurAff[1]);
           if analyseHarmonique
              then NbreharmoniqueAff := grapheFFT.NbreAff
              else NbreFreqAff := grapheFFT.NbreAff;
           echelleFreq := false;
           FFTPaintBox.cursor := crDefault;
           FFTPaintBox.refresh;
       end;
end; // FFT MouseUp

procedure TGTI2MainForm.FFTperiodeClick(Sender: TObject);
begin
    fft.AnalyseHarmonique := FFTperiode.checked;
    if fft.AnalyseHarmonique
       then begin
           grapheFFT.trace := tHisto;
           NbreFreqEdit.hint := 'Nombre d''harmoniques';
           NbreFreqSpin.hint := 'Nombre d''harmoniques';
       end
       else begin
          grapheFFT.trace := tRaie;
          NbreFreqEdit.hint := 'Nombre de raies dans le spectre';
          NbreFreqSpin.hint := 'Nombre de raies dans le spectre';
       end;
    TempsPaintBox.refresh;
    FFTPaintBox.refresh;    
end;

procedure TGTI2MainForm.FreqAutoBtnClick(Sender: TObject);
var voie : indiceVoieYD;
    i,imax : integer;
    min : double;
begin
     if not fftok then exit;
     iMax := 0;
     for voie := low(indiceVoieYD) to high(indiceVoieYD) do
         with grapheFFT.voieOrphy[voie] do if active then begin
              min := grapheOsc.voieOrphy[voie].maxi/100;
              for i := 0 to pred(grapheFFT.Nbre) do
                  if min<vecteurAff[i] then iMax := i;
     end;
     iMax := puiss2Sup(iMax);
     if fft.AnalyseHarmonique
        then begin
           if imax>128 then iMax := 128
        end
        else begin
           if imax<128 then iMax := 128;
        end;
     if iMax>grapheFFT.nbre then iMax := grapheFFT.Nbre;
     if fft.AnalyseHarmonique
        then begin
           NbreHarmoniqueAff := imax;
           NbreFreqEdit.text := intToStr(NbreHarmoniqueAff);
        end
        else begin
           NbreFreqAff := imax;
           NbreFreqEdit.text := intToStr(NbreFreqAff);
        end;
     TempsPaintBox.refresh;
     FFTpaintBOx.Refresh;
end;

procedure TGTI2MainForm.AmplitudeScrollChange(Sender: TObject);
begin
   AmplitudeEdit.text := tension.formatSimple(AmplitudeScroll.position*10/AmplitudeScroll.max);
   setLedGbf(lGray);
end;

procedure TGTI2MainForm.DutyScrollChange(Sender: TObject);
begin
   DutyEdit.text := IntToStr(DutyScroll.position)+'%'
end;

procedure TGTI2MainForm.OffsetEditExit(Sender: TObject);
var valeur : double;
begin
   valeur := strToFloatWin(OffsetEdit.text);
   OffsetScroll.position := round(valeur/10*OffsetScroll.max);
   majBtnClick(sender);
end;

procedure TGTI2MainForm.AmplitudeEditExit(Sender: TObject);
var valeur : double;
begin
   valeur := strToFloatWin(AmplitudeEdit.text);
   AmplitudeScroll.position := round(valeur/10*AmplitudeScroll.max);
   majBtnClick(sender);   
end;

procedure TGTI2MainForm.OffsetEditKeyPress(Sender: TObject; var Key: Char);
begin
     case key of
        crCR : OffsetEditExit(sender);
        '.',',' : key := decimalSeparator;
        '0'..'9','-','+' : ;
        crDroite,crGauche,crSuppr,crSupprArr : ;
        else key := #0
     end;
end;

procedure TGTI2MainForm.AmplitudeEditKeyPress(Sender: TObject;
  var Key: Char);
begin
     case key of
        crCR : AmplitudeEditExit(sender);
        '.',',' : key := decimalSeparator;
        '0'..'9' : ;
        crDroite,crGauche,crSuppr,crSupprArr : ;
        else key := #0
     end;
end;

procedure TGTI2MainForm.Help_GBF_btnClick(Sender: TObject);
begin
  SyntaxeDlg := TSyntaxeDlg.create(self);
  if SyntaxeDlg.showModal=mrOK then MajBtnClick(sender);
  SyntaxeDlg.free;
end;

procedure TGTI2MainForm.FechEditKeyPress(Sender: TObject; var Key: Char);
begin
  key := #0
end;

procedure TGTI2MainForm.MonoGBFbtnClick(Sender: TObject);
begin
     if not stopEnCours then begin
          enregistreBtnClick(sender);
          sleep(100);
     end;
     MajGBF(lGreen);
     application.ProcessMessages;
     compteurGBF := 0;
     gbf.monocoup := true;
     gbf.marche;
end;

procedure TGTI2MainForm.monocoupGBFCBClick(Sender: TObject);
begin
  gbf.Monocoup := monocoupGbfCB.checked;
  monogbfbtn.Visible := monocoupGbfCB.checked;
  if gbf.Monocoup then gbf.arret;
  MajGBF(lRed);
end;

procedure TGTI2MainForm.AbscisseRGClick(Sender: TObject);
var newAbs : integer;
begin
    if initialisation then exit;
    newAbs := abscisseRG.itemIndex;
    if not gti2.active[newAbs]
        then abscisseRG.itemIndex := grapheOsc.voieAbscisse
              // Synchro sur voie non active interdit
        else if grapheOsc.voieAbscisse<>abscisseRG.itemIndex then afficheReglage;
    edit1.setFocus;
end;

procedure TGTI2MainForm.affecteFreqGBF(freq : double);
var puissance : integer;
begin
    puissance := trunc(log10(freq));
    LabelHz.Caption := ' Hz';
    case puissance of
         5,4 : begin
             LCD10k.value := floatTostrF(freq/1000,ffFixed,4,3); // 100 kHz > f >= 10 kHz
             LabelHz.Caption := 'kHz';
         end;
         3 : LCD10k.value := intToStr(round(freq)); // 10 kHz > f >= 1000 Hz
         1,2 : LCD10k.value := floatTostrF(freq,ffFixed,4,3-puissance); // f < 1 kHz
         else LCD10k.value := floatTostrF(freq,ffFixed,4,3); // f < 1 Hz
    end;
end;

procedure TGTI2MainForm.NbreFreqEditExit(Sender: TObject);
begin
    if fft.AnalyseHarmonique
       then begin
          NbreHarmoniqueAff := StrToInt(NbreFreqEdit.text);
          if NbreHarmoniqueAff<8 then NbreHarmoniqueAff := 8;
          if NbreHarmoniqueAff>128 then NbreHarmoniqueAff := 128;
       end
       else begin
          NbreFreqAff := StrToInt(NbreFreqEdit.text);
          if NbreFreqAff<64 then NbreFreqAff := 64;
          if NbreFreqAff>1024 then NbreFreqAff := 1024;
          NbreFreqAff := StrToInt(NbreFreqEdit.text);
       end;
    TempsPaintBox.refresh;   
    FFTPaintBox.refresh;
end;

procedure TGTI2MainForm.NbreFreqEditKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    if key=vk_return then NbreFreqEditExit(Sender);
end;

procedure TGTI2MainForm.NbreFreqSpinDownClick(Sender: TObject);
begin
    DeltaNbreFreq(false)
end;

procedure TGTI2MainForm.NbreFreqSpinUpClick(Sender: TObject);
begin
    DeltaNbreFreq(true);
end;

procedure TGTI2MainForm.OuvrirConfigClick(Sender: TObject);
begin
    DebutLectureParametres;
    OpenDialog1.defaultExt := '.GTI2';
    OpenDialog1.filter := 'Configuration Orphy GTI2|*.GTI2';
    if OpenDialog1.Execute
       then begin
         LitConfig(OpenDialog1.FileName);
         afficheReglage
       end
       else finLectureParametres;
end;

procedure TGTI2MainForm.EnregistrerConfigClick(Sender: TObject);
begin
  DebutLectureParametres;
  saveDialog1.defaultExt := '.GTI2';
  saveDialog1.filter := 'Configuration Orphy GTI2|*.gt2';
  if SaveDialog1.Execute then ecritConfig(SaveDialog1.FileName);
  finLectureParametres;
end;

procedure TGTI2MainForm.ConfigDefautClick(Sender: TObject);
begin
   EcritConfig(FichierConfig);
   EcritConfig(FichierConfigGeneral)   
end;

procedure TGTI2MainForm.ToolButton1Click(Sender: TObject);
begin
   (sender as TtoolButton).CheckMenuDropdown
end;

procedure TGTI2MainForm.DebutLectureParametres;
begin
    Timer.Enabled := false;
    TimerGTS2.Enabled := false;
    TimerGBF.Enabled := false;
    TimerPoint.Enabled := false;
    monocoupTemporaire := true;
    if grapheOsc.modeAcq=mTemps
       then stopBtnClick(nil);
end;

procedure TGTI2MainForm.FinLectureParametres;
begin
    if grapheOsc.modeAcq<>mTemps then
       TimerPoint.Enabled := true;
    if GBFbtn.Down and MajBtn.Visible then timerGBF.enabled := true;
end;

function TGTI2MainForm.Reconnaissance : boolean;

Procedure setCapteurAuto(index,voie,valeurW : integer);
var i : integer;
    code : char;
    Ainitialiser : boolean;
begin with grapheOsc.voieGTS2[voie] do begin
    if active and (indexCapteurAuto=index) then exit;
    active := true;
    Ainitialiser := indexCapteurAuto<>index;
    indexCapteurAuto := index;
    GBvoie.Caption := TitreVoieGTI2[gti2.connectique,voie]+calibreVoie;
    shape.brush.color := couleur;
    with ListeCapteursAuto[index] do begin
           if Ainitialiser then begin
                nom := nomC;
                nomUnite := nomUniteC;
                signif := signifC;
                Mini := MiniAff;
                Maxi := MaxiAff;
                UnVolt := UnVoltC;
                Offset := OffsetC;
                result := true;
                code := numToCodePotar(voie);
                GTI2.output := 'WRPOTAR '+code;
                Ainitialiser := not EtalonnageFait;
                for i := 0 to MaxPotarAuto do
                    if PotarActif[i] then if (valeurPotar[i]>0)
                      then begin
                        GTI2.output := 'WEPOTAR '+code+' '+intToStr(i)+' '+intToStr(valeurPotar[i]);
                        GTI2.output := 'WMPOTAR '+code+' '+intToStr(i);
                      end
                      else Ainitialiser := true;
                if Ainitialiser then afficheErreur('Etalonnez votre capteur');                      
           end;
           speedVoie.Visible := avecEtalonnage;
           speedVoie.down := etalonnageFait;
           setMinMax;
    end;
    priseInitialisee := true;
    calibreUD.visible := false;
    labelCalibre.visible := false;
end end;

procedure Desactive(voie : integer);
begin with grapheOsc.voieGTS2[voie] do begin
         priseInitialisee := false;
         speedVoie.Visible := false;
         labelCalibre.visible := true;
         if indexCapteurAuto>0 then begin
            if active then result := true;
            active := false;
            indexCapteurAuto := 0;
            shape.brush.color := clBtnFace;
         end;
         labelCalibre.visible := active;
         indexCapteurAuto := 0;
         nomUnite := 'V';
         nom := 'EA'+intToStr(voie);
end end;

var voie : indiceVoieGTS2;
    codeVoie : indiceVoieYD;
begin
    result := false;
    if not gti2.GTS2permis then exit;
    for voie := voieG to voieJ do begin
        codeVoie := voie-voieG;
        if (gti2.valeurReco.index[codeVoie]>MaxCapteurAuto) or
           (gti2.valeurReco.index[codeVoie]=0) or
           (gti2.valeurReco.index[codeVoie] in
              [0,indexCapteurMarteau,indexCapteurMagnum,indexCapteurSondor])
// capteur dbranch ou capteur non analogique
        then Desactive(voie)
        else setCapteurAuto(gti2.valeurReco.index[codeVoie],
                            voie,
                            gti2.valeurReco.valeur[codeVoie]);
    end;
end; // Reconnaissance

procedure TGTI2MainForm.affecteStop(stop : boolean);
begin
    stopEnCours := stop;
    if stop then begin
        enregistreBtn.caption := 'Stop';
        enregistreBtn.hint := 'Arrter l''acquisition';
        enregistreBtn.imageIndex := 10;
        enregistreBtn.Enabled := true;
        enregistreBtn.Update;
    end
    else begin
        case grapheOsc.modeAcq of
           mPointParPoint : begin
              enregistreBtn.caption := 'Enregistrer';
              enregistreBtn.hint := 'Enregistre le point courant'
           end;
           mTemps : begin
              enregistreBtn.caption := 'Acquisition';
              enregistreBtn.hint := 'Lancer l''acquisition';
           end;
           mClavier : begin
           
           end;
        end;
        enregistreBtn.imageIndex := 5;
        enregistreBtn.enabled := monocoupCB.checked or
                                (synchroRG.itemIndex=0) or
                                 monocoupTemporaire;
   end
end;

procedure TGTI2MainForm.WMAfficheReglage(var Msg: Tmessage);
begin
    AfficheReglage;
end;

Procedure TGTI2MainForm.EnregistrePointCourant;
var voie : indiceVoieYD;
    voie2 : indiceVoieGTS2;
begin with grapheOsc do begin
       Header.simpleText := '';
       effacePointCourant;
       with voieTemps do vecteurAff[nbre] := nbre;
       for voie := low(indiceVoieYD) to high(indiceVoieYD) do
           with voieOrphy[voie] do if active then
              vecteurAff[nbre] := ValeurAff;
       for voie2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
           with voieGTS2[voie2] do if active then
              vecteurAff[nbre] := ValeurAff;
       for voie := low(indiceVoieYD) to high(indiceVoieYD) do
           with voieOrphy[voie] do if active then
              traceUnPoint(voie);
       for voie2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
           with voieGTS2[voie2] do if active then
              traceUnPointGTS2(voie2);
       inc(Nbre);
       marquePointCourant;
       ifin := pred(nbre);
       undoBtn.enabled := Nbre>0;
       resetBtn.enabled := Nbre>0;
       regSaveBtn.enabled := Nbre>2;
   end end;// EnregistrePointCourant

Procedure TGTI2MainForm.EffacePointCourant;
var voie : indiceVoieYD;
    voie2 : indiceVoieGTS2;
begin with grapheOsc do begin
   if not ReticuleTrace then exit;
   for voie := low(indiceVoieYD) to high(indiceVoieYD) do
       if voieOrphy[voie].active then
             traceReticule(voie);
   for voie2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
       if voieGTS2[voie2].active then
             traceReticuleGTS2(voie2);
   ReticuleTrace := false;
end end;

procedure TGTI2MainForm.AcqClick(Sender: TObject);
begin
    (sender as TmenuItem).checked := true;
    afficheReglage;
end;

Procedure TGTI2MainForm.MarquePointCourant;
var voie : indiceVoieYD;
    voie2 : indiceVoieGTS2;
begin with grapheOsc do begin
   if ReticuleTrace then exit;
   for voie2 := low(indiceVoieGTS2) to high(indiceVoieGTS2) do
       if voieGTS2[voie2].active then traceReticuleGTS2(voie2);
   for voie := low(indiceVoieYD) to high(indiceVoieYD) do
       if voieOrphy[voie].active then traceReticule(voie);
   ReticuleTrace := true;
end end;

procedure TGTI2MainForm.SetValeurClavier(sortie : boolean);

   Procedure EnregistrePointClavier;
   var voie : indiceVoieYD;
   begin with grapheOsc do begin
       Header.simpleText := '';
       effacePointCourant;
       with entreeClavier do
            vecteurAff[rowEdit-1] := ValeurCourante;
       for voie := low(indiceVoieYD) to high(indiceVoieYD) do
           with voieOrphy[voie] do if active then begin
              vecteurAff[rowEdit-1] := ValeurCourante;
              valeurAff := ValeurCourante;
              traceUnPoint(voie);
       end;
       if (rowEdit=succ(Nbre))
          then inc(Nbre)
          else TempsPaintBox.Refresh;
       marquePointCourant;
       ifin := pred(nbre);
       UndoBtn.enabled := Nbre>0;
       ResetBtn.enabled := Nbre>0;
       RegSaveBtn.enabled := Nbre>2;
   end end; // EnregistrePointClavier

var valeurLoc : double;
    i : integer;
begin with entreeClavier do begin
        valeurLoc := StrToFloatWin(ClavierGrid.Cells[0,rowEdit]);
        if valeurLoc=sansSignif then if sortie
          then exit
          else begin
             if (rowEdit=succ(grapheOsc.Nbre)) then ValeurCourante := sansSignif;
             AfficheErreur(erNombre);
             setFocusGrid;
             exit;
          end;
        if (valeurLoc>maxi) or (valeurLoc<mini) then begin
           AfficheErreur(FormatGTI2(mini)+'< '+nom+' <'+FormatGTI2(maxi));
           setFocusGrid;
           exit;
        end;
        if (rowEdit<=succ(grapheOsc.Nbre)) then begin
           valeurCourante := valeurLoc;
           effacePointCourant;
           valeurAff := valeurCourante;
           marquePointCourant;
           EnregistrePointClavier;
           for i := 0 to pred(NbreVoieOrphyClavier) do
               ClavierGrid.cells[i+1,rowEdit] :=
                   voieOrphyClavier[i].AffGrid(rowEdit-1);
           setFocusGrid;
        end;
end end; // setValeurClavier

procedure TGTI2MainForm.SetFocusGrid;
var i,j : integer;
begin
       i := succ(grapheOsc.Nbre);
       ClavierGrid.rowCount := i+1;
       for j := 0 to NbreVoieOrphyClavier do
           ClavierGrid.cells[j,i] := '';
       ClavierGrid.col := 0;
       ClavierGrid.row := i;
       rowEdit := i;
       ClavierGrid.setFocus;
       ClavierGrid.editorMode := true;
end;

end.


