unit ToutesVoiesU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, StdCtrls, Buttons, ExtCtrls,
  gti2_osc_util, gti2_osc_graphe, gti2_osc, CheckLst;

type
  TToutesVoiesDlg = class(TForm)
    OKbtn: TBitBtn;
    AllBtn: TBitBtn;
    BitBtn3: TBitBtn;
    VoiesList: TCheckListBox;
    BitBtn1: TBitBtn;
    procedure OKbtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure AllBtnClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
  public
  end;

var
  ToutesVoiesDlg: TToutesVoiesDlg;

implementation

uses GTI2_osc_Main;

{$R *.dfm}

procedure TToutesVoiesDlg.OKbtnClick(Sender: TObject);
var v : indiceVoieGTS2;
begin
    for v := 0 to pred(voiesList.count) do
        grapheOsc.voieGTS2[v].active := VoiesList.checked[v];
end;

procedure TToutesVoiesDlg.AllBtnClick(Sender: TObject);
var v : indiceVoieGTS2;
begin
    for v := 0 to pred(voiesList.count) do
        VoiesList.checked[v] := true;
end;

procedure TToutesVoiesDlg.BitBtn1Click(Sender: TObject);
var v : indiceVoieGTS2;
begin
    for v := 0 to pred(voiesList.count) do
        VoiesList.checked[v] := false;
end;

procedure TToutesVoiesDlg.FormActivate(Sender: TObject);
var v : indiceVoieGTS2;
begin 
     for v := 0 to pred(voiesList.count) do begin
         voiesList.items[v] := TitreVoieGTI2[gti2.connectique,v];
         voiesList.checked[v] := grapheOsc.voieGTS2[v].active;
     end;
end;

end.
