unit Clavier;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls,
  gti2_point_graphe, sysutils, maths, gti2_osc_util;

type
  TClavierDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    GrandeurGB: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    LabelMin: TLabel;
    LabelMax: TLabel;
    EditNom: TEdit;
    EditUnite: TEdit;
    EditMin: TEdit;
    EditMax: TEdit;
    Label3: TLabel;
    EditSignif: TEdit;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  ClavierDlg: TClavierDlg;

implementation

{$R *.DFM}

procedure TClavierDlg.OKBtnClick(Sender: TObject);
begin with graphePoint.EntreeClavier do begin
          Nom := EditNom.text;
          NomUnite := EditUnite.text;
          Signif := EditSignif.text;
          active := true;
          try
          Mini := StrToFloatWin(EditMin.text);
          except
              Mini := 0;
          end;
          try
          Maxi := StrToFloatWin(EditMax.text);
          except
              Maxi := 5;
          end;
end end;

procedure TClavierDlg.FormActivate(Sender: TObject);
begin with graphePoint.entreeClavier do begin
       EditNom.text := nom;
       EditUnite.text := nomUnite;
       EditSignif.text := signif;
       EditMin.text := FloatToStr(mini);
       EditMax.text := FloatToStr(maxi);
end end;

end.
