unit gti2_EAD_SA;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons,
  gti2_osc, gbf_osc, gti2_osc_graphe, gti2_osc_util;

type
  TEAD_SA_Form = class(TForm)
    InverseCB: TCheckBox;
    SynchroRG: TRadioGroup;
    OKbtn: TBitBtn;
    BitBtn2: TBitBtn;
    procedure SynchroRGClick(Sender: TObject);
    procedure OKbtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  EAD_SA_Form: TEAD_SA_Form;

implementation

{$R *.dfm}

procedure TEAD_SA_Form.OKbtnClick(Sender: TObject);
var i,N : integer;
    v : indiceVoie;
begin
    N := grapheOsc.Nbre;
    gbf.NbreData := N;
    gbf.freqEchData := gti2.FreqEch;
    v := synchroRG.itemIndex;
    N := N-1;
    if inverseCB.checked then begin
        for i := 0 to N do
            gbf.dataReal[i] := grapheOsc.voieOrphy[v].vecteurAff[N-i];
    end
    else begin
    for i := 0 to N do
        gbf.dataReal[i] := grapheOsc.voieOrphy[v].vecteurAff[i];
    end;
    gbf.signal := sData;
end;

procedure TEAD_SA_Form.FormActivate(Sender: TObject);
var newSynchro : integer;
begin
    newSynchro := synchroRG.itemIndex;
    if not gti2.active[newSynchro] then begin
       newSynchro := 0;
       while not gti2.active[newSynchro] do
            inc(newSynchro);
       synchroRG.itemIndex := newSynchro;
    end;
end;

procedure TEAD_SA_Form.SynchroRGClick(Sender: TObject);
var newSynchro : integer;
begin
    newSynchro := synchroRG.itemIndex;
    if not gti2.active[newSynchro] then begin
            newSynchro := 0;
            while not gti2.active[newSynchro] do
                     inc(newSynchro);
            synchroRG.itemIndex := newSynchro;
    end;
end;

end.
