unit options;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Spin,ComCtrls,
  maths_osc, gti2_osc, gti2_osc_Graphe, gti2Util_osc;

type
  TOptionsDlg = class(TForm)
    PanelBoutons: TPanel;
    BtnOK: TBitBtn;
    BtnCancel: TBitBtn;
    PanelOptions: TPanel;
    GrilleCB: TCheckBox;
    AnalyseurCB: TCheckBox;
    EtalonneSeuilBtn: TBitBtn;
    Label1: TLabel;
    WidthCursorSE: TSpinEdit;
    penteCB: TCheckBox;
    DerniereConfigCB: TCheckBox;
    procedure FormActivate(Sender: TObject);
    procedure BtnOKClick(Sender: TObject);
    procedure EtalonneSeuilBtnClick(Sender: TObject);
  private
  public
  end;

var
  OptionsDlg : TOptionsDlg;

implementation

uses gti2_osc_Main, EtalonSeuil, fft;

{$R *.DFM}

procedure TOptionsDlg.FormActivate(Sender: TObject);
begin
     grilleCB.checked := grille;
     penteCB.checked := grapheOsc.testPente ;
     widthCursorSE.value := WidthCursor;
     AnalyseurCB.checked := grapheOsc.AnalyseurLogique;
     DerniereConfigCB.checked := Gti2MainForm.SauverConfig;
end;

procedure TOptionsDlg.BtnOKClick(Sender: TObject);
begin
    grille := grilleCB.checked;
    WidthCursor := widthCursorSE.value;
    grapheOsc.AnalyseurLogique := AnalyseurCB.checked;
    grapheOsc.testPente := penteCB.checked;
    Gti2MainForm.SauverConfig := DerniereConfigCB.checked;
end;

procedure TOptionsDlg.EtalonneSeuilBtnClick(Sender: TObject);
begin
     if EtalonSeuilDlg=nil then
        Application.CreateForm(TEtalonSeuilDlg, etalonSeuilDlg);
     EtalonSeuilDlg.showModal;
end;

end.
